Getting Started with Windows 2000 Server

The Getting Started topics are designed to help you install a domain (grouping) of two to five servers with 100 or fewer clients. If you are an administrator of a larger collection of servers, the Getting Started topics can provide useful information, but you should also see the Windows 2000 Server Resource Kit, Deployment Planning Guide. For information about the Resource Kit, see Windows 2000 Resource Kit.

For additional information, see:

  • Tutorials: Deploying Windows 2000
  • What's new in Windows 2000 Server
  • Installing Windows 2000 Server
  • Accessibility for people with disabilities


Tutorials: Deploying Windows 2000

The Microsoft Web site provides tutorials that you can use to learn about and deploy the Windows 2000 operating system. These technical walk-throughs provide step-by-step instructions and illustrations for installing and configuring key features of Windows 2000 Server.

Active Directory

  • Active Directory Sites and Services Walk-through (http://www.microsoft.com/)

    Describes how to use Active Directory Sites and Services to administer the replication topology in an enterprise environment.

  • Advanced Management of Active Directory Using the Schema and Display Specifiers (http://www.microsoft.com/)

    Introduces advanced administration of Active Directory using the Active Directory Schema snap-in and display specifier modification.

  • Backup and Recovery of the Distributed Services (http://www.microsoft.com/)

    Introduces disaster recovery and the distributed services, using the Windows 2000 Backup utility.

  • Bulk Import and Export to Active Directory (http://www.microsoft.com/)

    Introduces batch administration of Active Directory.

  • Distributed File System (http://www.microsoft.com/)

    Describes how to use Dfs to create logical views of directories and files.

  • Using the Delegation of Control Wizard (http://www.microsoft.com/)

    Shows specific examples of how to delegate control of objects in an Active Directory folder, using Active Directory Users and Computers.

  • Products from ISVs Extend Active Directory Management (http://www.microsoft.com/)

    Describes enhancements and products from leading independent software vendors (ISVs) that complement Active Directory management features.

  • Managing the Active Directory Walk-through (http://www.microsoft.com/)

    Introduces administration of the Active Directory directory service.

Communications and networking services

  • Setting up ISM-SMTP Replication Walk-through (http://www.microsoft.com/)

    Describes how to configure Simple Mail Transfer Protocol (SMTP) replication between two Windows 2000–based domain controllers, each in a different domain, and briefly describes the intersite messaging (ISM) architecture within Windows 2000 Active Directory.

Management services

  • A Common Infrastructure for Change and Configuration Management Walk-through (http://www.microsoft.com/)

    Describes a common infrastructure that you can use for all Windows 2000 management.

  • Microsoft Management Console Walk-through (http://www.microsoft.com/)

    Describes the key features of Microsoft Management Console (MMC) — an ISV-extensible, common console framework for management applications — including creating a new console and customizing snap-ins.

  • Remote Installation Services Walk-through (http://www.microsoft.com/)

    Outlines the steps necessary to install, configure, and use Remote Installation Services (RIS), an optional component of Windows 2000 Server.

  • Group Policy Walk-through (http://www.microsoft.com/)

    Describes Group Policy, a central component of the change and configuration management features of Windows 2000.

  • Remote Storage (http://www.microsoft.com/)

    Demonstrates the installation and administration of the Remote Storage service.

  • Using Secondary Logon (Run As) in Windows 2000 (http://www.microsoft.com/)

    Describes the secondary logon feature, which allows administrators to avoid having to log on with an administrative account for each task.

  • Software Installation and Maintenance Walk-through (http://www.microsoft.com/)

    Describes Windows 2000 software installation and maintenance.

  • User Data and User Settings Management Walk-through (http://www.microsoft.com/)

    Describes the user data management and user settings management features of IntelliMirror.

  • Using WinINSTALL LE to Repackage Applications for the Windows Installer Walk-through (http://www.microsoft.com/)

    Discusses creating and customizing software installation packages for use with Windows 2000.

Security services

  • Administering Certificate Services Walk-through (http://www.microsoft.com/)

    Describes how to obtain and manage certificates by using the Certificates snap-in.

  • Advanced Certificate Management Walk-through (http://www.microsoft.com/)

    Describes how to obtain and manage certificates by using the Certificates snap-in.

  • Automatic Certificate Request for Computers Walk-through (http://www.microsoft.com/)

    Shows how to use Group Policy to configure automatic certificate requests for computers in a Windows 2000 domain.

  • Certificate Services Web Pages Walk-through (http://www.microsoft.com/)

    Describes how to request certification authority certificates, user certificates, and other special certificates.

  • End User Certificate Management (http://www.microsoft.com/)

    Describes the process that end users go through to obtain and manage security certificates from a certificate authority.

  • Encrypting File System (http://www.microsoft.com/)

    Demonstrates the end-user and administrative capabilities of the Encrypting File System (EFS).

  • Mapping Certificates to User Accounts (http://www.microsoft.com/)

    Describes how to map public-key certificates to a user account for use with Internet Information Services.

  • MIT Kerberos 5 (krb5 1.0) Interoperability (http://www.microsoft.com/)

    Examines the use of the MIT Kerberos interoperability features with Windows 2000.

  • Public Key Features in Outlook 98 Walk-through (http://www.microsoft.com/)

    Explains basic features of the public key infrastructure (PKI) in Microsoft Outlook 98 messaging and collaboration software.

  • Public Key Features in Outlook Express Walk-through (http://www.microsoft.com/)

    Explains basic public key infrastructure (PKI) features in Microsoft Outlook Express version 5.0 messaging and collaboration software.

  • Public Key-based Client Authentication in Internet Explorer Walk-through (http://www.microsoft.com/)

    Explains basic features related to public key infrastructure (PKI) in Microsoft Internet Explorer 5, particularly how to use public key certificates to perform client authentication over a secure HTTP connection.

  • Setting Up Certification Authority Trust for a Domain Walk-through (http://www.microsoft.com/)

    Describes how to configure a Windows 2000 domain to trust external certification authorities, using Group Policy.

  • Smart Card Certificate Enrollment Walk-through (http://www.microsoft.com/)

    Presents step-by-step procedures for enabling support of cryptographic smart cards, including creation of public/private keys, certificate enrollment, and key and certificate storage.

  • Smart Card Logon Walk-through (http://www.microsoft.com/)

    Provides procedures for configuring and using smart card logon features in Windows 2000.

  • Smart Card Reader Installation Walk-through (http://www.microsoft.com/)

    Describes installation of Plug and Play smart card readers in systems using Windows 2000.

  • Using the Security Configuration Tool Set (http://www.microsoft.com/)

    Describes how to view, configure, and analyze local security policy and settings.


What's new in Windows 2000 Server

Windows 2000 Server includes improved network, application, and Web services. It provides increased reliability and scalability, lowers your cost of computing with powerful, flexible management services, and provides the best foundation for running business applications.

For information about how to carry out tasks that you used to do with Windows NT Server 4.0, see New ways to do familiar tasks. For information about the new features in Windows 2000 Server, refer to the following table, or see Alphabetical list of features.

Function Description of feature
or type of support 		Information on how to use
File server
  • Active Directory
  • Disk and file management features
  • Active Directory overview
  • Files and printers
  • Storing data
Print server
  • Active Directory
  • Printer and protocol support
  • Active Directory overview
  • Printing
Internet server
  • Internet Information Services features
  • Application support

    • Related areas:
    Application server
    Networking/communications
    Server security
  • Internet Information Services
  • Application and programming tools
Multimedia
server
  • Multimedia support

    • Related area:
    Internet server
  • Using Windows Media Services
Application
server
  • Support for existing systems
  • Terminal Services features
  • Application support
  • Management and deployment of applications
  • Performance and tuning features

    • Related area:
    Development support
  • Network Interoperability
  • Terminal Services
  • Application and programming tools
  • Policy-based administration
  • IntelliMirror
  • Monitoring and diagnostics tools
  • QoS Admission Control
  • Windows ATM services
Development
support
  • Development support
  • Application and programming tools
    See also the Microsoft Platform SDK
Networking/
communications
  • Network protocols and technologies
  • Support for existing systems
  • Performance and tuning features
  • Networking
  • Connections
  • Network interoperability
  • Monitoring and diagnostics tools
  • QoS Admission Control
  • Windows ATM services
Server
reliability,
availability,
and scalability
  • Server reliability
  • Server availability
  • Server scalability
  • Disaster protection
  • Monitoring and diagnostics tools
  • Plug and Play overview
Server
security
  • Authentication and smart card support
  • Additional security features
  • Security
  • Information security (in Active Directory)
  • Authentication
  • Internet Authentication Service
  • Internet Protocol Security
Configuration
and
management
  • Active Directory
  • IntelliMirror features
  • Terminal Services features
  • Remote management

  • Disk and file management features
  • Internationalization features

    • Related area:
    File server
  • Active Directory overview
  • IntelliMirror
  • Terminal Services
  • Using the Microsoft Management Console
  • Managing servers remotely (using Administration Tools)
  • Automating administrative tasks
  • Remote Installation Services


Alphabetical list of features

This is a partial list of the extensive set of new features included in Windows 2000 Server. For more detailed information on these features, and for information on features not in this list, see the table (organized by server function) in What's new in Windows 2000 Server.

Active Directory

Active Directory is an enterprise-class directory service that is scalable, built from the ground up using Internet-standard technologies, and fully integrated at the operating-system level. Active Directory simplifies administration and makes it easier for users to find resources. Active Directory provides a wide range of features and capabilities, including Group Policy, scalability without complexity, support for multiple authentication protocols, and the use of Internet standards. For a more detailed description, see Active Directory.

Active Directory Service Interfaces

Active Directory Service Interfaces is a directory service model and a set of COM interfaces. It enables Windows 95, Windows 98, Windows NT, and Windows 2000 applications to access several network directory services, including Active Directory. It is supplied as a Software Development Kit (SDK).

Asynchronous Transfer Mode

Asynchronous Transfer Mode (ATM) is a high-speed connection-oriented protocol designed to transport multiple types of traffic across a network. It is applicable to both LANs and WANs. Using ATM, your network can simultaneously transport a wide variety of network traffic: voice, data, image, and video.

Certificate Services

Using Certificate Services and the certificate management tools in Windows 2000, you can deploy your own public key infrastructure. With a public key infrastructure, you can implement standards-based technologies such as smart card logon capabilities, client authentication (through Secure Sockets Layer and Transport Layer Security), secure e-mail, digital signatures, and secure connectivity (using Internet Protocol Security). Using Certificate Services, you can set up and manage certification authorities that issue and revoke X.509 V3 certificates. This means that you don't have to depend on commercial client authentication services, although you can integrate commercial client authentication into your public key infrastructure if you choose.

Component Services

Component Services is a set of services based on extensions of the Component Object Model (COM) and on Microsoft Transaction Server (an earlier release of a component-based transaction processing system). Component Services provides improved threading and security, transaction management, object pooling, queued components, and application administration and packaging.

Disk quota support

You can use disk quotas on volumes formatted with the NTFS file system to monitor and limit the amount of disk space available to individual users. You can define the responses that result when users exceed your specified thresholds.

Dynamic DHCP with DNS and Active Directory

Dynamic Host Configuration Protocol (DHCP) works with DNS and Active Directory on IP networks, helping to free you from assigning and tracking static IP addresses. DHCP dynamically assigns IP addresses to computers or other resources connected to an IP network.

Encrypting File System

The Encrypting File System (EFS) in Windows 2000 complements existing access controls and adds a new level of protection for your data. The Encrypting File System runs as an integrated system service, making it easy to manage, difficult to attack, and transparent to the user.

Graphical Disk Management

Disk Management is a graphical tool for managing disk storage that includes many new features, such as:

  • Support for new dynamic volumes, which work outside the restriction of four partitions per disk.
  • Online disk management (fewer restarts).
  • Local and remote drive management.
  • Volume Mount Points, which you can use to connect, or mount, a local drive at any empty folder on a local NTFS-formatted volume.

Group Policy (part of Active Directory)

You can use policies to define the allowed actions and the settings for users and computers. In contrast with local policy, you can use Group Policy to set policies that apply across a given site, domain, or organizational unit in Active Directory. Policy-based management simplifies such tasks as operating system updates, application installation, user profiles, and desktop-system lock down.

Indexing Service

You can use Indexing Service to provide a fast, easy, and secure way for users to search for information locally or on the network. Users can use powerful queries to search in files in different formats and languages, either through the Start menu Search command or through HTML pages that they view in a browser.

IntelliMirror

To help reduce costs, administrators have asked for the highest levels of control over portable and desktop systems. IntelliMirror provides this control on client systems running Windows 2000 Professional. You can use IntelliMirror to define policies based on the respective users' business roles, group memberships, and locations. Using these policies, Windows 2000 Professional desktops are automatically reconfigured to meet a specific user's requirements each time that user logs onto the network, no matter where they log on. For more information about IntelliMirror features, see IntelliMirror features.

Internet Authentication Service

Internet Authentication Service (IAS) provides you with a central point for managing authentication, authorization, accounting, and auditing of dial-up or Virtual Private Network users. IAS uses the Internet Engineering Task Force (IETF) protocol called Remote Authentication Dial-In User Service (RADIUS).

Internet Connection Sharing

With the Internet connection sharing feature of Network and Dial-up Connections, you can use Windows 2000 to connect your home network or small office network to the Internet. For example, you might have a home network that connects to the Internet by using a dial-up connection. By enabling Internet connection sharing on the computer that uses the dial-up connection, you are providing network address translation, addressing, and name resolution services for all computers on your home network. For more information, see Internet connection sharing.

Internet Information Services 5.0

The powerful features in Internet Information Services (IIS), a part of Microsoft Windows 2000 Server, make it easy to share documents and information across a company intranet or the Internet. Using IIS, you can deploy scalable and reliable Web-based applications, and you can bring existing data and applications to the Web. IIS includes Active Server Pages and other features. For more information, see Internet Information Services features.

Internet Protocol Security support

You can use Internet Protocol Security (IPSec) to secure communications within an intranet and to create secure Virtual Private Network solutions across the Internet. IPSec was designed by the Internet Engineering Task Force (IETF) and is an industry standard for encrypting TCP/IP traffic.

Kerberos V5 Protocol support

Kerberos V5 is a mature, industry-standard network authentication protocol. With Kerberos V5 support, a fast, single logon process gives users the access they need to Windows 2000 Server-based enterprise resources, as well as to other environments that support this protocol. Support for Kerberos V5 includes additional benefits such as mutual authentication (client and server must both provide authentication) and delegated authentication (the user's credential is tracked end-to-end).

Layer 2 Tunneling Protocol support

Layer 2 Tunneling Protocol (L2TP) is a more secure version of Point-to-Point Tunneling Protocol (PPTP) and is used for tunneling, address assignment, and authentication.

Lightweight Directory Access Protocol support

The Lightweight Directory Access Protocol (LDAP), an industry standard, is the primary access protocol for Active Directory. LDAP version 3 was defined by the Internet Engineering Task Force (IETF).

Message queuing

Integrated message queuing functionality in Windows 2000 helps developers build and deploy applications that run more reliably over networks, including the Internet. These applications can interoperate with applications running on different platforms such as mainframes and UNIX-based systems.

Microsoft Management Console

You can use Microsoft Management Console (MMC) to arrange the administrative tools and processes you need within a single interface. You can also delegate tasks to specific users by creating pre-configured MMC consoles for them. The console will provide the user with the tools you select.

Network Address Translation

Network Address Translation (NAT) hides internally managed IP addresses from external networks by translating private internal addresses to public external addresses. This reduces IP address registration costs by letting you use unregistered IP addresses internally, with translation to a small number of registered IP addresses externally. It also hides the internal network structure, reducing the risk of attacks against internal systems.

Operating system migration, support, and integration

Windows 2000 integrates seamlessly with existing systems and contains support for earlier Windows operating systems as well as new features for supporting other popular operating systems. Windows 2000 offers:

  • Interoperability with Windows NT Server 3.51 and 4.0.
  • Support for clients running a variety of operating systems including Windows 3.x, Windows 95, Windows 98, and Windows NT Workstation 4.0.
  • Mainframe and midrange connectivity, using S/390 and AS/400 transaction and queuing gateways through SNA Server.
  • File Server for Macintosh, allowing Macintosh clients to use the TCP/IP protocol (AFP over IP) to share files and to access shares on a Windows 2000 server.

Plug and Play

With Plug and Play, a combination of hardware and software support, the server can recognize and adapt to hardware configuration changes automatically, without your intervention and without restarting.

Public key infrastructure and smart card infrastructure

Using Certificate Services and the certificate management tools in Windows 2000, you can deploy your own public key infrastructure. With a public key infrastructure, you can implement standards-based technologies such as smart card logon capabilities, client authentication (through Secure Sockets Layer and Transport Layer Security), secure e-mail, digital signatures, and secure connectivity (using Internet Protocol Security). Using Certificate Services, you can set up and manage certification authorities that issue and revoke X.509 V3 certificates. This means that you don't have to depend on commercial client authentication services, although you can integrate commercial client authentication into your public key infrastructure if you choose.

Quality of Service

Using Windows Quality of Service (QoS), you can control how applications are allotted network bandwidth. You can give important applications more bandwidth, less important applications less bandwidth. QoS-based services and protocols provide a guaranteed, end-to-end, express delivery system for information across the network.

Remote Installation Services

With Remote Installation Services, you can install Windows 2000 Professional remotely, without the need to visit each client. The target clients must either support remote booting with the Pre-Boot eXecution Environment (PXE) ROM, or else must be started with a remote-startup floppy disk. Installation of multiple clients becomes much simpler.

Removable Storage and Remote Storage

Removable Storage makes it easy to track your removable storage media (tapes and optical discs) and to manage the hardware libraries, such as changers and jukeboxes, that contain them. Remote Storage uses criteria you specify to automatically copy little-used files to removable media. If hard-disk space drops below specified levels, Remote Storage removes the (cached) file content from the disk. If the file is needed later, the content is automatically recalled from storage.

Since removable optical discs and tapes are less expensive per megabyte (MB) than hard disks, Removable Storage and Remote Storage can decrease your costs.

Routing and Remote Access service

Routing and Remote Access service is a single integrated service that terminates connections from either dial-up or Virtual Private Network (VPN) clients, or provides routing (IP, IPX, and AppleTalk), or both. With Routing and Remote Access, your Windows 2000 server can function as a remote access server, a VPN server, a gateway, or a branch-office router.

Safe mode startup

With safe mode, you can start Windows 2000 with a minimal set of drivers and services, and then view a log showing the sequence of events at startup. Using safe mode, you can diagnose problems with drivers and other components that might be preventing normal startup.

Smart card infrastructure

Using Certificate Services and the certificate management tools in Windows 2000, you can deploy your own public key infrastructure. With a public key infrastructure, you can implement standards-based technologies such as smart card logon capabilities, client authentication (through Secure Sockets Layer and Transport Layer Security), secure e-mail, digital signatures, and secure connectivity (using Internet Protocol Security).

TAPI 3.0

TAPI 3.0 unifies IP and traditional telephony to enable developers to create a new generation of powerful computer telephony applications that work as effectively over the Internet or an intranet as over the traditional telephone network.

Terminal Services

The Windows 2000 Server family offers the only server operating systems that integrate terminal emulation services. Using Terminal Services, a user can access programs running on the server from a variety of older devices. For example, a user could access a virtual Windows 2000 Professional desktop and 32-bit Windows-based applications from hardware that couldn't run the software locally. Terminal Services provides this capability for both Windows and non-Windows-based client devices. (Non-Windows devices require add-on software by Citrix Systems.) For more information about Terminal Services features, see Terminal Services features.

Virtual Private Networking

You can allow users ready access to the network even when they're out of the office, and reduce the cost of this access, by implementing a Virtual Private Network (VPN). Using VPNs, users can easily and securely connect to the corporate network. The connection is through a local ISP, which reduces connect-time charges.

With Windows 2000 Server, you can use several new, more secure protocols for creating Virtual Private Networks, including:

  • Layer 2 Tunneling Protocol (L2TP), a more secure version of Point-to-Point Tunneling Protocol (PPTP). L2TP is used for tunneling, address assignment, and authentication.
  • Internet Protocol Security (IPSec), a standard-based protocol that provides the highest levels of VPN security. Using IPSec, virtually everything above the networking layer can be encrypted.

Windows Media Services

Using Windows Media Services, you can deliver high-quality streaming multimedia to users on the Internet and intranets.

Windows Script Host

Using the Windows Script Host (WSH), you can automate actions such as creating a shortcut and connecting to and disconnecting from a network server. WSH is language-independent. You can write scripts in common scripting languages such as Visual Basic Scripting Edition and JScript.


New features for performance, security, and ease of management

  • Server reliability
  • Server availability
  • Server scalability
  • Performance and tuning features
  • Authentication and smart card support
  • Additional security features
  • IntelliMirror features
  • Remote management
  • Internationalization features


Server reliability

For a table that relates the features in this topic to other features in Windows 2000, see What's new in Windows 2000 Server. For descriptions of features related to server availability, which is closely related to reliability, see Server availability.

Increased reliability is the most critical design goal of the Windows 2000 Server release. The system offers you the following capabilities, helping provide increased levels of reliability:

Improved memory management
Improved memory management means greater speed, reliability, and flexibility for your servers.
More robust system architecture
A robust system provides you with greater reliability even if one application or service encounters problems.
Better diagnostic tools
You can monitor systems states and prevent problems more easily with better diagnostic tools.
Safe mode start
With safe mode, you can start Windows 2000 with a minimal set of drivers and services, and then view a log showing the sequence of events at startup. Using safe mode, you can diagnose problems with drivers and other components that might be preventing normal startup.
Recovery Console
With the Recovery Console, you can start a command-line console on a system on which a software problem (such as a problem with drivers or files) is preventing the system from starting. From the Recovery Console, you can use basic commands to try to recover the system.
Windows File Protection
In Windows 2000, Windows File Protection prevents the replacement of protected system files, such as .sys, .dll, .ocx, .ttf, .fon and .exe files used by the operating system. Windows File Protection runs in the background and prevents other programs from changing the files needed by the operating system.
Enhanced Backup utility
With Windows 2000 Server, you can back up data to a wide variety of storage media, such as tape drives, external hard disk drives, Zip disks, and recordable compact disks.
Disk Defragmenter
You can defragment disk volumes formatted as FAT, FAT32, and NTFS, increasing server reliability and performance.


Server availability

For a table that relates the features in this topic to other features in Windows 2000, see What's new in Windows 2000 Server. For descriptions of features related to server reliability, which is closely related to availability, see Server reliability.

Windows 2000 Server provides new features that dramatically increase system availability for your critical business solutions. With Plug and Play, planned system restarts are reduced by more than 90 percent. The system also gives you advanced fault tolerance and file system recoverability features.

Fewer server restarts
Windows 2000 Server makes configuring hardware and software easier and dramatically reduces the number of times you must restart the system. Examples of activities you can accomplish without restarting the server include (but are not limited to):
  • Extending a storage volume
  • Configuring network protocols
  • Managing storage dynamically (Dynamic Volume Management)
  • Reconfiguring settings on PCI and other Plug and Play hardware
Plug and Play
With Plug and Play, a combination of hardware and software support, the server can recognize and adapt to hardware configuration changes automatically, without your intervention and without restarting.
Start from mirrors or striped volumes
With appropriate preparation, you can start your server from a backup on a mirror or striped volume, increasing system availability during server recovery or planned maintenance.


Server scalability

For a table that relates the features in this topic to other features in Windows 2000, see What's new in Windows 2000 Server.

The Windows 2000 Server family scales from small workgroups to enterprise data center deployments. The Windows 2000 Server family includes products that support up to 32 processors and advanced I/O. It also integrates network load balancing and new multiprocessor optimizations for your business applications.

Hardware scalability
By choosing from products in the Windows 2000 Server family, you can take advantage of the growing number of competitively priced 2-, 4-, 16-, and 32-way multiprocessor computers, using ever-faster hardware technology.
I2O support
New I2O (also called Intelligent Input/Output) architecture allows for higher input/output performance on your servers by offloading certain I/O operations to a secondary processor. I2O improves I/O performance in high-bandwidth applications such as networked video, groupware, and client/server processing.
Network Load Balancing (available on Windows 2000 Advanced Server)
Previously known as WLBS, Network Load Balancing distributes incoming TCP/IP traffic between multiple servers. Your clustered applications, especially Web server applications, can handle more traffic and provide faster response times.


Performance and tuning features

For a table that relates the features in this topic to other features in Windows 2000, see What's new in Windows 2000 Server.

New features in Windows 2000 Server provide for better performance and the ability to tune your server to your needs and environment.

I2O Support
New I2O (also called Intelligent Input/Output) architecture allows for higher input/output performance on your servers by offloading certain I/O operations to a secondary processor. I2O improves I/O performance in high-bandwidth applications such as networked video, groupware, and client/server processing.
CPU throttling for Web applications or sites
Using the job object in Windows 2000 Server, you can limit the amount of CPU processing time used by a Web application or site. This frees up processor time for other applications.
Process Accounting for Web applications or sites
With Process Accounting, you can obtain information about how Web sites use CPU resources. This information can be crucial for making decisions about changing or improving hardware or applications. It can also be important when monitoring or diagnosing problems with scripts or applications.
HTTP compression
HTTP compression conserves bandwidth and provides faster transmission of pages between the Web server and compression-enabled clients. Internet Explorer 4 and Internet Explorer 5 both support the compression methods used in Windows 2000 Server.
Predictable, end-to-end Quality of Service
Windows Quality of Service (QoS) allows you to control how applications are allotted network bandwidth. Important applications can be given more bandwidth, less important applications less bandwidth. QoS-based services and protocols provide a guaranteed, end-to-end, express delivery system for information across the network.
Resource Reservation Protocol
You can use Resource Reservation Protocol (RSVP) with multimedia applications and other applications that require consistent bandwidth or response levels on the network. Using RSVP, these applications can obtain the necessary service quality from the network, and you can manage the impact that these applications have on network resources. RSVP is a request/grant type of service where client-requested reservations are granted or denied based upon policy and network resource availability.
Network Load Balancing (available on Windows 2000 Advanced Server)
Previously known as WLBS, Network Load Balancing distributes incoming TCP/IP traffic between multiple servers. Your clustered applications, especially Web server applications, can handle more traffic and provide faster response times.


Authentication and smart card support

For a table that relates the features in this topic to other features in Windows 2000, see What's new in Windows 2000 Server.

Windows 2000 Server provides a wide variety of authentication technologies, including technologies for using smart cards.

Full support for Kerberos V5 protocol
With Kerberos V5 support, a fast, single logon process gives users the access they need to Windows 2000 Server-based enterprise resources, as well as to other environments that support this protocol. Support for Kerberos V5 includes additional benefits such as mutual authentication (client and server must both provide authentication) and delegated authentication (the user's credential is tracked end to end).
Public key infrastructure, Certificate Services, and smart cards
Using Certificate Services and the certificate management tools in Windows 2000, you can deploy your own public key infrastructure. With a public key infrastructure, you can implement standards-based technologies such as smart card logon capabilities, client authentication (through Secure Sockets Layer and Transport Layer Security), secure e-mail, digital signatures, and secure connectivity (using Internet Protocol Security). Using Certificate Services, you can set up and manage certification authorities that issue and revoke X.509 V3 certificates. This means that you don't have to depend on commercial client authentication services, although you can integrate commercial client authentication into your public key infrastructure if you choose.
Virtual Private Networking
You can allow users ready access to the network even when they're out of the office, and reduce the cost of such access, by implementing a Virtual Private Network (VPN). VPNs enable users to easily and securely connect to the corporate network. The connection is through a local ISP, which reduces connect-time charges.
With Windows 2000 Server, you can use several new, more secure protocols for creating Virtual Private Networks, including:
  • Layer 2 Tunneling Protocol (L2TP), a more secure version of Point-to-Point Tunneling Protocol (PPTP). Used for tunneling, address assignment, and authentication.
  • Internet Protocol Security (IPSec), a standard-based protocol that provides the highest levels of VPN security. With IPSec, virtually everything above the networking layer can be encrypted.
Routing and Remote Access Service
Routing and Remote Access service is a single integrated service that terminates connections from either dial-up or VPN clients, or provides routing (IP, IPX, and AppleTalk), or both. With Routing and Remote Access service, your Windows 2000 server can function as a remote access server, a VPN server, a gateway, or a branch-office router.
When providing remote access, Routing and Remote Access service supports PPP (the standard dial-up protocol). It also supports the new Extensible Authentication Protocol to enable vendor-provided authentication methods for remote clients (such as retina scan).
When working as a router, Routing and Remote Access service supports both local (LAN-to-LAN) routing and remote (demand-dial) routing. In addition to physical dial-up, frame relay, ISDN, or X.25 connections, the connection can be in the form of a direct connection to the corporate network or a point-to-point, branch office VPN connection through the Internet. Routing and Remote Access service supports the OSPF and RIP2 routing control protocols for IP networks and both RIP and SAP for IPX networks. The range of routing and gateway services included in Windows 2000 Server allow you to create flexible connections between branch offices (or perimeter networks) and the corporate network.
Internet Authentication Service
Internet Authentication Service (IAS) provides you with a central point for managing authentication, authorization, accounting and auditing of dial-up or VPN users. IAS uses the Internet Engineering Task Force (IETF) protocol called Remote Authentication Dial-In User Service (RADIUS).


Additional security features

For a table that relates the features in this topic to other features in Windows 2000, see What's new in Windows 2000 Server.

Windows 2000 includes a variety of features for creation of a strong, flexible security system, including file encryption and the security features built into Active Directory. For information about the kinds of authentication available in Windows 2000, see Authentication and smart card support.

Encrypting File System
The Encrypting File System (EFS) in Windows 2000 complements existing access controls and adds a new level of protection for your data. The Encrypting File System runs as an integrated system service, making it easy for you to manage, difficult to attack, and transparent to the user.
Flexible, secure authentication and authorization
Flexible and secure authentication and authorization services provide protection for data while minimizing barriers to doing business over the Internet. Active Directory supports multiple authentication protocols (such as Kerberos V5, Secure Sockets Layer v3, and Transport Layer Security using X.509v3 certificates) and security groups that span domains efficiently.
Internet Protocol Security
You can use Internet Protocol Security (IPSec) to secure communications within an intranet and to create secure Virtual Private Network solutions across the Internet. IPSec was designed by the Internet Engineering Task Force (IETF) and is an industry standard for encrypting TCP/IP traffic.


IntelliMirror features

For a table that relates IntelliMirror features to other features in Windows 2000, see What's new in Windows 2000 Server. For information on how to use IntelliMirror, see IntelliMirror.

To help reduce costs, administrators have asked for the highest levels of control over portable and desktop systems. IntelliMirror provides this control on client systems running Windows 2000 Professional. You can use IntelliMirror to define policies based on the respective users' business roles, group memberships, and locations. Using these policies, Windows 2000 Professional desktops are automatically reconfigured to meet a specific user's requirements each time that user logs onto the network, regardless of where the user logs on.

At the core of IntelliMirror are three features:

  • User data management
  • Software installation and maintenance
  • User settings management

You can use these IntelliMirror features either separately or together, depending on the requirements of the environment. This gives you the ability to provide users with consistency and reliability no matter what computer they work on.


Remote management

For a table that relates the features in this topic to other features in Windows 2000, see What's new in Windows 2000 Server.

Windows 2000 includes a number of enhancements for remote system management, including new delegation of administration support, Terminal Services, Microsoft Management Console (MMC), and more.

Managing remotely through Terminal Services
Using Terminal Services, you can remotely log on to and manage Windows 2000 systems from virtually anywhere on your network (instead of being limited to working locally on a server). The network connection needed for this is a 28.8 Kbps (or faster) connection. For more information about Terminal Services, see Terminal Services features.
Organizing and delegating tasks through Microsoft Management Console
You can use Microsoft Management Console to arrange the administrative tools and processes you need within a single interface. You can also delegate tasks to specific users by creating preconfigured MMC consoles for them. The console will provide the user with the tools you select.
Managing remotely with Administration Tools
Using Windows 2000 Administration Tools, you can manage a server remotely from any computer running Windows 2000 (including computers running Windows 2000 Professional). The set of Administration Tools is included on the Windows 2000 Server CD-ROM. The set contains Microsoft Management Console snap-ins and other administrative tools not provided on Windows 2000 Professional.
Scripting with Windows Script Host
Using the Windows Script Host (WSH), you can automate actions such as creating a shortcut and connecting to and disconnecting from a network server. WSH is language independent. You can write scripts in common scripting languages such as Visual Basic Scripting Edition and JScript.
Remote Installation Services
With Remote Installation Services, you can remotely install Windows 2000 Professional on any client computer that can be started remotely. Installation of multiple clients becomes much simpler.


Internationalization features

For a table that relates the features in this topic to other features in Windows 2000, see What's new in Windows 2000 Server.

Windows 2000 Server now provides multilanguage support on a single system, and will be translated and modified into local versions for more than 30 languages.

Because of the system architecture in Windows 2000, the operating system, utilities, and properly written applications can be translated and modified into local versions for hundreds of languages. Local administrators therefore do not need to be fluent in technical English.


New features for file and print servers

Enhancements to file systems, print services, and volume management make Windows 2000 an ideal file and print server, and they make it easier for users to locate the information and services they need.

  • Active Directory
  • Disk and file management features
  • Printer and protocol support


Active Directory

For a table that relates the features in this topic to other features in Windows 2000, see What's new in Windows 2000 Server. For information on how to use Active Directory, see Active Directory.

Active Directory is an enterprise-class directory service that is scalable, built from the ground up using Internet-standard technologies, and fully integrated at the operating-system level. Active Directory simplifies administration and makes it easier for users to find resources. Active Directory provides a wide range of features and capabilities:

Simplified user and network-resource management
Using Active Directory, you can build hierarchical information structures that make it easier for you to control administrative privileges and other security settings, and to make it easier for your users to locate network resources such as files and printers.
Group Policy
You can use policies to define the permitted actions and settings for users and computers. In contrast with local policy, you can use Group Policy to set policies that apply across a given site, domain, or organizational unit in Active Directory. Policy-based management simplifies tasks such as operating system updates, application installation, user profiles, and desktop-system lock down.
Flexible, secure authentication and authorization
Flexible and secure authentication and authorization services provide protection for data while minimizing barriers to doing business over the Internet. Active Directory supports multiple authentication protocols (such as the Kerberos V5 protocol, Secure Sockets Layer v3, and Transport Layer Security using X.509v3 certificates) and security groups that span domains efficiently.
Directory consolidation
You can organize and simplify the management of users, computers, applications, and devices, and make it easier for users to find the information they need. You can take advantage of synchronization support through LDAP-based interfaces, and you can work with directory consolidation requirements specific to your applications.
Directory-enabled applications and infrastructure
Active Directory features make it easier for you to configure and manage applications and other directory-enabled network components.
Scalability without complexity
Active Directory scales to millions of objects per domain and uses indexing technology and advanced replication techniques to speed performance.
Use of Internet standards
Active Directory provides access through LDAP and uses a Domain Name System (DNS)-based namespace.
A powerful development environment
Active Directory provides a powerful development environment through the Active Directory Service Interfaces. The promise of compelling Active Directory-enabled applications has attracted leading vendors such as SAP, Baan, J.D. Edwards, Cisco, and many more.


Disk and file management features

For a table that relates the features in this topic to other features in Windows 2000, see What's new in Windows 2000 Server.

Enhancements to disk, volume, and file management make Windows 2000 Server a powerful and flexible file server, and make it easier for users to locate and access information.

Disk quota support
You can use disk quotas on volumes formatted with the NTFS file system to monitor and limit the amount of disk space available to individual users. You can define the responses that result when users exceed your specified thresholds.
Distributed File System
With Distributed File System (Dfs), you can create a single directory tree that includes multiple file servers and file shares in a group, division, or enterprise. This allows users to easily find files or folders distributed across the network. Dfs shares can also be published as Volume Objects in Active Directory.
Distributed Link Tracking
Using Distributed Link Tracking and NTFS, you can enable client applications to track linked sources that have been moved. For example, a client application will always be able to access a linked database, even if the database location changes.
Distributed Authoring and Versioning
Using Distributed Authoring and Versioning, remote authors can edit, move, or delete files, file properties, directories, and directory properties on your server over an HTTP connection.
High performance content indexing
You can use Indexing Service to provide a fast, easy, and secure way for users to search for information locally or on the network. Users can use powerful queries to search in files in different formats and languages, either through the Start menu Search command or through HTML pages that they view in a browser.
Encrypting File System
The Encrypting File System (EFS) in Windows 2000 complements existing access controls and adds a new level of protection for your data. The Encrypting File System runs as an integrated system service, making it easy for you to manage, difficult to attack, and transparent to the user.
Removable Storage and Remote Storage
Removable Storage makes it easy to track your removable storage media (tapes and optical discs) and to manage the hardware libraries, such as changers and jukeboxes, that contain them. Remote Storage uses criteria you specify to automatically copy little-used files to removable media. If hard-disk space drops below specified levels, Remote Storage removes the (cached) file content from the disk. If the file is needed later, the content is automatically recalled from storage.
Since removable optical discs and tapes are less expensive per megabyte (MB) than hard disks, Removable Storage and Remote Storage can decrease your costs.
Graphical Disk Management
Disk Management is a graphical tool for managing disk storage that offers many new features, including:
  • Support for new dynamic volumes, which work outside the restriction of four partitions per disk.
  • Online disk management (fewer restarts).
  • Local and remote drive management.
  • Volume Mount Points, which you can use to connect, or mount, a local drive at any empty folder on a local NTFS-formatted volume.


Printer and protocol support

For a table that relates the features in this topic to other features in Windows 2000, see What's new in Windows 2000 Server.

Windows 2000 Server provides a variety of new features for print servers:

Printers published in Active Directory
Users can quickly search for and locate the most convenient printing resources through an improved user interface.
Broad device and protocol support
With Windows 2000 Server, you can choose from among more than 2,500 different printers.
Plug and Play
With Plug and Play, a combination of hardware and software support, the server can recognize and adapt to hardware configuration changes automatically, without your intervention and without restarting.
Internet Printing Protocol
Using Internet Printing Protocol (IPP), users can print directly to a URL over an intranet or the Internet. In addition, Windows 2000 Server automatically generates print-job information in HTML format, so users can view it in their browsers.
Printer management improvements
You can now monitor the operation of local and remote printers using System Monitor. You can set counters for a variety of criteria such as Bytes Printed/Second, Job Errors, and Total Pages Printed.
Network printing improvements
You can remotely administer a Windows 2000 print server using MMC consoles from anywhere on the network. In addition, you no longer have to install a printer driver on a Windows 2000 client computer for it to use a printer. The driver is downloaded automatically when the client connects to a Windows 2000 print server. This makes printing across a network easier.


New features for Internet, application, and networking support

Windows 2000 Server includes a variety of powerful Internet capabilities, support for applications and application development, and networking and communications capabilities.

  • Internet and multimedia features
  • Application and development support
  • Network protocols and technologies


Internet and multimedia features

For a table that relates the features in this topic to other features in Windows 2000, see What's new in Windows 2000 Server.

  • Internet Information Services features
  • Multimedia support


Internet Information Services features

For a table that relates the features in this topic to other features in Windows 2000, see What's new in Windows 2000 Server.

Windows 2000 Server includes a variety of powerful Internet capabilities.

Integration with Internet Information Services 5.0
The features in Internet Information Services (IIS), a part of Microsoft Windows 2000 Server, make it easy to share documents and information across a company intranet or the Internet. With IIS, you can deploy scalable and reliable Web-based applications, and you can bring existing data and applications to the Web. IIS includes Active Server Pages and the other features in this list.
Active Server Pages
Active Server Pages (ASP) is a server-side scripting environment for creating dynamic, interactive Web server applications. With ASP, developers can combine HTML pages, script commands, and COM components as needed to create flexible and powerful Web-based applications.
Windows Media Services
Using Windows Media Services, you can deliver high-quality streaming multimedia to users on the Internet and intranets.
Distributed Authoring and Versioning
Using Distributed Authoring and Versioning, remote authors can edit, move, or delete files, file properties, directories, and directory properties on your server over an HTTP connection.


Multimedia support

For a table that relates the features in this topic to other features in Windows 2000, see What's new in Windows 2000 Server.

Windows 2000 Server includes a variety of features to expand the possibilities for multimedia on your server.

Windows Media Services
Using Windows Media Services, you can deliver high-quality streaming multimedia to users on the Internet and intranets.
Predictable, end-to-end Quality of Service
Windows Quality of Service (QoS) allows you to control how applications are allotted network bandwidth. Important applications can be given more bandwidth, less important applications less bandwidth. QoS-based services and protocols provide a guaranteed, end-to-end, express delivery system for information across the network.
Resource Reservation Protocol
You can use Resource Reservation Protocol (RSVP) with multimedia applications and other applications that require consistent bandwidth or response levels on the network. Using RSVP, these applications can obtain the necessary service quality from the network, and you can manage the impact that these applications have on network resources. RSVP is a request/grant type of service where client-requested reservations are granted or denied based upon policy and network resource availability.
Asynchronous Transfer Mode
Asynchronous Transfer Mode (ATM) is a high-speed connection-oriented protocol designed to transport multiple types of traffic across a network. It is applicable to both LANs and WANs. Using ATM, your network can simultaneously transport a wide variety of network traffic: voice, data, image, and video.


Application and development support

For a table that relates the types of support listed in this topic to other types of support in Windows 2000, see What's new in Windows 2000 Server.

  • Support for existing systems
  • Application support
  • Management and deployment of applications
  • Terminal Services features
  • Development support


Support for existing systems

For a table that relates the features in this topic to other features in Windows 2000, see What's new in Windows 2000 Server.

Windows 2000 Server supports UNIX, Novell NetWare, Windows NT Server 4.0, and Macintosh interoperability, allowing you to integrate Windows 2000 Server into an existing environment. You can introduce Windows 2000 Server incrementally into a network environment because it provides migration paths from any number of existing systems, devices, and applications.

Note

  • For the latest year 2000 information regarding Microsoft products, please visit the Microsoft year 2000 readiness disclosure and resource center Web site (http://www.microsoft.com/year2000). Windows 2000 Server also supports the Euro currency symbols.

Windows 2000 includes the following design features to ensure that it is compatible with as many systems and applications as possible:

Industry standards
Windows 2000 Server supports the latest in industry standards, including:
  • Lightweight Directory Access Protocol (LDAP)
  • DNS
  • Active Directory Service Interfaces
  • Kerberos V5
Support for existing applications
Windows 2000 Server supports existing BackOffice applications such as Microsoft Exchange and Microsoft SQL Server. The Microsoft Active Directory Connector is included to easily synchronize Exchange accounts with Windows 2000 server accounts until the next version of Exchange, which uses Active Directory, is released. In addition, applications featuring the BackOffice logo are tested for interoperability.
Integration with existing operating systems
Windows 2000 integrates seamlessly with existing operating systems and contains support for earlier Windows operating systems as well as new features for supporting other popular operating systems. Windows 2000 includes:
  • Interoperability with Windows NT Server 3.51 and 4.0.
  • Support for clients running a variety of operating systems, including Windows 3.x, Windows 95, Windows 98, and Windows NT Workstation 4.0.
  • UNIX interoperability provided through an add-on pack called Windows Services for UNIX. The add-on pack provides support for Network File System (NFS), password synchronization, a UNIX command shell, and a collection of UNIX utilities. The add-on pack also supports Network Information Services (NIS). Telnet services (for remote access and administration) are included in Windows 2000 as well as in the Add-On Pack.
  • Mainframe and midrange connectivity, using S/390 and AS/400 transaction and queuing gateways through SNA Server.
  • File Server for Macintosh, allowing Macintosh clients to use the TCP/IP protocol (AFP over IP) to share files and to access shares on a Windows 2000 server.


Application support

For a table that relates the features in this topic to other features in Windows 2000, see What's new in Windows 2000 Server.

Windows 2000 Server provides customers with a wide range of turnkey ISV solutions and a comprehensive set of Internet application services for rapid development of custom applications.

Widest range of turnkey applications
There are more than 3,800 applications written for Windows NT Server today, and hundreds of new server applications are scheduled to be available within months of the Windows 2000 Server release.

For the most recent information on compatible and certified applications for Microsoft Windows 2000, see the Directory of Windows 2000 Applications Web site (http://www.microsoft.com/).

This site allows you to search for information on current applications and also on applications specifically designed for Windows 2000.

Comprehensive Internet application services
Using the integrated Web, component management, transaction processing, and message queuing services in Windows 2000, programmers can rapidly develop and deploy scalable, component-based applications.
Active Accessibility
Active Accessibility is an application programming interface built into Windows 2000 that extends the core operating system services. It allows an accessibility aid (or other Active Accessibility client) to obtain meaningful information about an application and convey that information to the user. Because Active Accessibility reduces the need for application-specific code, it reduces overall maintenance costs and allows software developers to innovate in their user interface without sacrificing compatibility with accessibility aids. For more information, see technology listings on the Microsoft Accessibility Web site (http://www.microsoft.com).
TAPI 3.0
TAPI 3.0 unifies IP and traditional telephony to enable developers to create a new generation of powerful computer telephony applications that work as effectively over the Internet or an intranet as over the traditional telephone network.
Transaction services
The integrated transaction services in Windows 2000 Server provide simple building blocks that can reliably and efficiently execute complex transactions across widespread distributed networks.
Message queuing
The integrated message queuing functionality helps developers build and deploy applications that run more reliably over networks, including the Internet. These applications can interoperate with applications running on different platforms such as mainframes and UNIX-based systems.
Component Services
Component Services is a set of services based on extensions of the Component Object Model (COM) and on Microsoft Transaction Server (an earlier release of a component-based transaction processing system). Component Services provides improved threading and security, transaction management, object pooling, queued components, and application administration and packaging.
Job objects
Windows 2000 Server contains an extension to the process model called a job. Job objects are nameable, securable, sharable objects that control attributes of the processes associated with them. A job object's basic function is to allow groups of processes to be managed and manipulated as a unit. For example, a Web application can use a job object to account for CPU usage.
Host data integration
Windows 2000 Server provides an excellent platform for running database applications by including native support for ODBC, Oracle, and Microsoft SQL Server.


Management and deployment of applications

For a table that relates the features in this topic to other features in Windows 2000, see What's new in Windows 2000 Server.

The following features in Windows 2000 Server help you simplify the deployment of applications on desktop and portable systems. Terminal Services provides additional options and features that simplify the deployment of applications. For more information, see Terminal Services features.

Directory consolidation in Active Directory
You can organize and simplify the management of users, computers, applications, and devices, and make it easier for users to find the information they need. You can take advantage of synchronization support through LDAP-based interfaces, and work with directory consolidation requirements specific to your applications.
Directory-enabled applications and infrastructure in Active Directory
Active Directory features make it easier for you to configure and manage applications and other directory-enabled components of the network.
IntelliMirror
To help reduce costs, administrators have asked for the highest levels of control over portable and desktop systems. IntelliMirror provides this control on client systems running Windows 2000 Professional. You can use IntelliMirror to define policies based on the respective users' business roles, group memberships, and locations. Using these policies, Windows 2000 Professional desktops are automatically reconfigured to meet a specific user's requirements each time that user logs onto the network, regardless of where the user logs on.

At the core of IntelliMirror are three features:

  • User data management
  • Software installation and maintenance
  • User settings management

You can use these IntelliMirror features either separately or together, depending on the requirements of the environment. This gives you the ability to provide users with consistency and reliability no matter what computer they work on.

Windows Management Instrumentation (WMI)
Web-Based Enterprise Management (WBEM) provides uniform access to management information. WBEM is a Distributed Management Task Force (DMTF) initiative to get widespread adoption of the industry-standard Common Information Model (CIM) designed by DMTF. CIM is an extensible object-oriented schema for managing systems, networks, applications, databases and devices.

Windows Management Instrumentation (WMI), sometimes called CIM for Windows, is the Microsoft implementation of this technology and is WBEM compliant. Using WMI, you can monitor, track, and control system events related to software applications, hardware components, and networks. WMI substantially extends the CIM schema for the Win32 System environment and Microsoft applications. You can use the CIM schema to map data from diverse sources in a common, normalized, and logically organized way, and to establish correlations and associations between management data regardless of type, content, or source of origin.

How WMI works

With WMI, system administrators and management application developers can use a single interface for local and remote access to Win32, System Monitor, WMI for Windows Driver Model (WDM), registry, event logs, Desktop Management Interface (DMI), Simple Network Management Protocol (SNMP), and any other data WMI generates. This means that administrators and developers do not have to learn multiple APIs (for example, the Win32, RPC, registry, and WinSNMP APIs) to write powerful management tools.

WMI provides the infrastructure for system monitoring: event consolidation, CIM query-based event thresholds, and filtering. You can use this infrastructure for any management data WMI produces. This provides a single framework for monitoring previously disparate events such as

  • Free disk space dropping below a preset threshold
  • The TCP/IP service stopping
  • An SNMP Link down trap being received from the default router for this computer
  • The server load increasing past a specified threshold (based on aggregated WMI data)

WMI includes the CIM Object Manager (CIMOM) and supports extensible provider architecture that generates a vast range of information in a unified schema. WMI includes the set of standard providers (Win32, registry, System Monitor, SNMP, ADSI, DMI, event logs, and WMI for WDM). Using WMI, other software vendors can extend the schema and build added value on the already established CIM Win32 classes.

The WMI interfaces work with Component Services (formerly known as COM+) and scripting languages (Visual Basic, Visual Basic Scripting Edition, JScript, and Perl), enabling rapid development of scripts and sophisticated applications written in C++. The Windows Script Host object model for Windows 2000 is extended by the CIM object model, allowing you to build simple but powerful command line or Web page scripts.

Computer Associates' Real World Interface
System and application management instrumentation is available from WMI for numerous management solutions. Computer Associates' (CA ) Real World Interface for Windows 2000 is a powerful management application based on CA's Unicenter TNG Framework. It provides easy access to management data by automatically discovering WMI resources, storing information about them in its repository, and displaying them through its intuitive 2-D and 3-D Windows or Java browser interfaces. You can find this application in the Valueadd folder on the Windows 2000 CD-ROM.


Terminal Services features

For a table that relates the features in this topic to other features in Windows 2000, see What's new in Windows 2000 Server. For information on how to use Terminal Services, see Terminal Services.

The Windows 2000 Server family offers the only server operating systems that integrate terminal emulation services. Using Terminal Services, a user can access programs running on the server from a variety of older devices. For example, a user could access a virtual Windows 2000 Professional desktop and 32-bit Windows-based applications from hardware that couldn't run the software locally. Terminal Services provides this capability for both Windows and non-Windows-based client devices. (Non-Windows devices require add-on software by Citrix Systems.) Terminal Services provide the following advantages:

Centralized application access
With Terminal Services, all applications reside and run on the server. For any application that requires frequent upgrades, Terminal Services is an efficient, highly manageable way to provide users with the most current version of the application.
Remote access to applications
Terminal Services efficiently sends the application display, rather than the underlying application data, from server to client. This means that you can give users access to data-heavy applications over lower bandwidth connections (for example, a 28.8 Kbps dial-up connection) and provide higher performance than would be possible without Terminal Services.
Single application access
Terminal Services can provide users with access to a single published application when access to a full Windows 2000 Professional desktop is not required.

You can also use Terminal Services for remote management. For more information, see Remote management.


Development support

For a table that relates the features in this topic to other features in Windows 2000, see What's new in Windows 2000 Server.

Developers writing server-based applications can work with the powerful tools available in Microsoft Visual Studio and also with other development tools. The system architecture in Windows 2000 allows developers to design applications that are easily translated and modified into local versions.

Visual Studio 6.0
Visual Studio 6.0 is designed to address the major requirements of organizations creating modern enterprise solutions. The design themes for Visual Studio 6.0 include:
  • A complete suite of tools for component-based development
  • Enhanced life cycle productivity
  • Enterprise database tools
  • Enhanced support for teams
  • Integration with application services
Multilanguage technology
Because of the system architecture in Windows 2000, the operating system, utilities, and properly written applications can be translated and modified into local versions for hundreds of languages.


Network protocols and technologies

For a table that relates the features in this topic to other features in Windows 2000, see What's new in Windows 2000 Server.

Windows 2000 Server includes a variety of network protocols and technologies to extend the capabilities of your server. For information about additional technologies related to networking, see Performance and tuning features.

DHCP with DNS and Active Directory
Dynamic Host Configuration Protocol (DHCP) works with DNS and Active Directory on IP networks, helping to free you from assigning and tracking static IP addresses. DHCP dynamically assigns IP addresses to computers or other resources connected to an IP network.
Internet Connection Sharing
With the Internet connection sharing feature of Network and Dial-up Connections, you can use Windows 2000 to connect your home network or small office network to the Internet. For example, you might have a home network that connects to the Internet by using a dial-up connection. By enabling Internet connection sharing on the computer that uses the dial-up connection, you are providing network address translation, addressing, and name resolution services for all computers on your home network. For more information, see Internet connection sharing
.
Network Address Translation
Network Address Translation (NAT) hides internally managed IP addresses from external networks by translating private internal addresses to public external addresses. This reduces IP address registration costs by letting you use unregistered IP addresses internally, with translation to a small number of registered IP addresses externally. It also hides the internal network structure, reducing the risk of attacks against internal systems.
Virtual Private Networking
You can allow users ready access to the network even when they're out of the office, and reduce the cost of such access, by implementing a Virtual Private Network (VPN). VPNs enable users to easily and securely connect to the corporate network. The connection is through a local ISP, which reduces connect-time charges.
With Windows 2000 Server, you can use several new, more secure protocols for creating Virtual Private Networks, including:
  • Layer 2 Tunneling Protocol (L2TP), a more secure version of Point-to-Point Tunneling Protocol (PPTP). L2TP is used for tunneling, address assignment, and authentication.
  • Internet Protocol Security (IPSec), a standard-based protocol that provides the highest levels of VPN security. Using IPSec, virtually everything above the networking layer can be encrypted.
Routing and Remote Access service
Routing and Remote Access service is a single integrated service that terminates connections from either dial-up or VPN clients, or provides routing (IP, IPX, and AppleTalk), or both. With Routing and Remote Access service, your Windows 2000 server can function as a remote access server, a VPN server, a gateway, or a branch-office router.
When providing remote access, Routing and Remote Access service supports PPP (the standard dial-up protocol). It also supports the new Extensible Authentication Protocol to enable vendor-provided authentication methods for remote clients (such as retina scan).
When working as a router, Routing and Remote Access service supports both local (LAN-to-LAN) routing and remote (demand-dial) routing. In addition to physical dial-up, frame relay, ISDN, or X.25 connections, the connection can be in the form of a direct connection to the corporate network or a point-to-point, branch office VPN connection through the Internet. Routing and Remote Access service supports the OSPF and RIP2 routing control protocols for IP networks and both RIP and SAP for IPX networks. The range of routing and gateway services included in Windows 2000 Server allow you to create flexible connections between branch offices (or perimeter networks) and the corporate network.
Asynchronous Transfer Mode
Asynchronous Transfer Mode (ATM) is a high-speed connection-oriented protocol designed to transport multiple types of traffic across a network. It is applicable to both LANs and WANs. Using ATM, your network can simultaneously transport a wide variety of network traffic: voice, data, image, and video.
Fibre Channel
Fibre Channel is a technology for 1-gigabit-per-second data transfer that maps common transport protocols such as SCSI and IP, merging networking and high-speed I/O into a single connectivity technology. Fibre Channel technology gives you a way to address the distance and the address-space limitations of conventional channel technologies.


Installing Windows 2000 Server

These topics will help you plan for the installation of Windows 2000 Server on a domain (grouping) of two to five servers, serving 100 or fewer clients. For help with planning the installation of a larger number of servers, see the Windows 2000 Server Resource Kit, Deployment Planning Guide. For information about the Resource Kit, see Windows 2000 Resource Kit.

  • Checklists
  • Best practices
  • How to
  • Concepts
  • Troubleshooting


Checklists

  • Checklist: Performing an upgrade
  • Checklist: Performing a new installation


Checklist: Performing an upgrade

Step | Reference
Check system requirements | System requirements
Read Read1st.txt, Readme.doc, and hardware compatibility information | Important files to review Hardware compatibility
Determine whether your current operating system is one from which you can upgrade to Windows 2000 Server | Upgrading compared with installing
Review concepts for upgrading an existing domain | Upgrading a domain
Decide whether to upgrade any FAT or FAT32 partitions to NTFS | Choosing a file system
Back up files | Preparing your system for an upgrade
Uncompress any DriveSpace or DoubleSpace volumes | Preparing your system for an upgrade
Disable disk mirroring | Preparing your system for an upgrade
Disconnect UPS devices | Preparing your system for an upgrade
Review applications | Preparing your system for an upgrade
Start Setup, and follow the instructions provided | Start Setup


Checklist: Performing a new installation

Step | Reference
Check system requirements | System requirements
Read Read1st.txt, Readme.doc, and hardware compatibility information | Important files to review Hardware compatibility
Decide whether to upgrade or install | Upgrading or installing
Decide what licensing mode to use: Per seat or Per server | Choosing a licensing mode
Decide whether you want to be able to choose between different operating systems each time you start the computer | Deciding whether a computer will contain more than one operating system
Decide what file system to use: NTFS, FAT, or FAT32 | Choosing a file system
Decide what partition you will install on, or whether you will need a new partition for your installation | Planning disk partitions for new installations
Decide what components to install | Choosing components to install
Decide how to handle networking, IP addresses, and TCP/IP name resolution | Networking: TCP/IP, IP addresses, and name resolution
Decide whether to create domains or workgroups for your servers | Deciding between workgroups or domains
Back up files | Preparing your system for a new installation
Uncompress any DriveSpace or DoubleSpace volumes | Preparing your system for a new installation
Disable disk mirroring | Preparing your system for a new installation
Disconnect UPS devices | Preparing your system for a new installation
Start Setup, and follow the instructions provided | Start Setup


Best practices

The following list provides best practices for preparing for the installation of your servers and for checking each server as it is installed. For basic information about installation, see the installation topics under How to and Concepts.

  • Preparing your servers for an upgrade

    • If you are performing an upgrade, see:

    • Checklist: Performing an upgrade
    • Preparing your system for an upgrade
  • Preparing your servers for a new installation

    • If you are performing a new installation, see:

    • Checklist: Performing a new installation
    • Preparing your system for a new installation
  • Checking your servers after running Setup

    • After you run Setup, you can check your servers to ensure that the basic configuration is correct.

    • Checking Event Viewer. Check Event Viewer for messages associated with the installation or startup process. For more information, see Event Viewer.
    • Setting Event Viewer log size and wrap setting. Define your event log size and log wrapping (to overwrite as needed, clear manually, or overwrite after a specified number of days) to match your business and security requirements. For information, see Set event logging options.
    • Reviewing services in Computer Management. Open Computer Management as described in Using Computer Management. In the Services folder, confirm that all services set to Automatic in the Start Up column started without user intervention or multiple retries. In addition, set the startup value for unnecessary or unused services to Manual. An example of an unused service is the Print Spooler service for computers not sharing or accessing printers.
    • Checking server optimization. Check the server optimization setting by using Network and Dial-up Connections in Control Panel. Adjust the server optimization setting to match the role the computer will play in your organization. For information about how to access server optimization settings, see Configure memory-related settings on your computer.
    • Verifying settings such as IP, DNS, WINS and default gateway settings. Use the administrative tools described in Networking to configure and verify your settings. Another option is to display a command prompt, type ipconfig /all, and verify the displayed settings.
    • Viewing the fully qualified computer name. At the command prompt, type net config rdr to view the fully qualified computer name. Compare the results against the Active Directory name to confirm that they match or vary as intended.
    • Setting the paging file size and placement. Set the paging file size and placement based on memory size and server usage. For information about how to do this, see Change the size of the virtual memory paging file. For mission-critical servers, a paging file no smaller than the RAM size should be placed on the same partition as the operating system.
    • Performing backups and other preventative maintenance. Perform backups and, for mission-critical servers, practice or simulate recovery operations (at times when demand is low). For more information, see:
      • Fault tolerance
      • Disaster recovery
  • Familiarizing yourself with other sources of information and tools. See Additional resources for lists of other resources, including the Windows 2000 Resource Kit. Also, see the Microsoft Web site (http://www.microsoft.com/) and use the search capabilities available on the site. For more information, see Updated technical information.
  • Reviewing the Best practices topics and checklists that relate to the features and components you will use. For a list of Best Practices topics, see Best practices. For a list of Checklists, see Checklists.


How to...

These sections explain how to set up a Windows 2000 Server. Before performing a new installation, review Checklist: Performing a new installation.

  • Start Setup
  • Enter server settings for a new installation
  • Configure your server


Start Setup

  • Start Setup from the CD on a computer running Windows
  • Start Setup from a network
  • Start Setup for a new installation from the CD on a computer running MS-DOS
  • Start Setup for a new installation by starting the computer from the CD
  • Start Setup for a new installation by starting the computer from floppy disks
  • Start Setup and provide a mass storage driver or a HAL file


Start Setup from the CD on a computer running Windows

To start Setup from the CD on a computer running Windows

  1. Insert the CD-ROM in the drive.
  2. To begin Setup, do one of the following:
    • For a computer running any version of Windows other than Windows 3.x, wait for Setup to display a dialog box.
    • For a computer running Windows 3.x, use File Manager to change to the CD-ROM drive and change to I386 directory. Then double-click Winnt.exe.
  3. Follow the Setup instructions.

Notes

  • If you are running Setup on a computer running Windows 3.x, for best efficiency, use disk caching. Otherwise the Setup process (started from Winnt.exe) could take a long time. The usual way to enable disk caching on a computer running Windows 3.x is to use SMARTDrive. For information about SMARTDrive, see the documentation for Windows 3.x.
  • Setup works in several stages, prompting for information, copying files and restarting. It might restart two or three times, depending on how Setup was started. Setup concludes with the Configure Your Server screen, which you can use to adjust the configuration for your specific needs.
  • For information about unattended Setup, see Related Topics.
  • If you have a mass storage controller (such as a SCSI, RAID, or Fibre Channel adapter) for your hard disk, see Related Topics for information about how to ensure that the controller driver file is available to the Setup program.
  • If you have specialized hardware requiring a custom Hardware Abstraction Layer (HAL) file supplied by your computer manufacturer, see Related Topics for information about how to make the HAL file available during Setup.

Related Topics


Start Setup from a network

To start Setup from a network

  1. On a network server, share the installation files, either by inserting the CD-ROM and sharing the CD-ROM drive, or by copying the files from the I386 folder on the CD-ROM to a shared folder.
  2. On the computer on which you want to install Windows 2000, connect to the shared Setup files:
    • If you are sharing the CD-ROM drive, connect to the shared drive and change to the I386 folder.
    • If you are sharing a folder, connect to that folder.
  3. Find and run the appropriate file on the I386 directory of the CD-ROM or in the shared folder:
    • From a computer running MS-DOS or Windows 3.x, run Winnt.exe.
    • From a computer running Windows 95, Windows 98, Windows NT 3.51, Windows NT 4.0, or a version of Windows 2000, run Winnt32.exe.
  4. Follow the Setup instructions.

Notes

  • Setup works in several stages, prompting for information, copying files and restarting. It might restart two or three times, depending on how Setup was started. Setup concludes with the Configure Your Server screen, which you can use to adjust the configuration for your specific needs.
  • For information about unattended Setup, see Related Topics.
  • If you have a mass storage controller (such as a SCSI, RAID, or Fibre Channel adapter) for your hard disk, see Related Topics for information about how to ensure that the controller driver file is available to the Setup program.
  • If you have specialized hardware requiring a custom hardware abstraction layer (HAL) file supplied by your computer manufacturer, see Related Topics for information about how to make the HAL file available during Setup.

Related Topics


Start Setup for a new installation from the CD on a computer running MS-DOS

To start Setup for a new installation from the CD on a computer running MS-DOS

  1. Insert the CD-ROM in the drive.
  2. At the command prompt, type:

    d:

    where d is the drive letter of the CD-ROM drive, and then press ENTER.

  3. Type:

    cd i386

    and then press ENTER.

  4. Type:

    winnt

    and then press ENTER.

  5. Follow the Setup instructions.

Notes

  • If you are running Setup on a computer running Windows 3.x or MS-DOS, for best efficiency, use disk caching. Otherwise the Setup process (started from Winnt.exe) could take a long time. The usual way to enable disk caching on a computer running Windows 3.x or MS-DOS is to use SMARTDrive. For information about SMARTDrive, see the documentation for Windows 3.x or MS-DOS.
  • Setup works in several stages, prompting for information, copying files and restarting. It might restart two or three times, depending on how Setup was started. Setup concludes with the Configure Your Server screen, which you can use to adjust the configuration for your specific needs.
  • For information about unattended setup, see Related Topics.
  • If you have a mass storage controller (such as a SCSI, RAID, or Fibre Channel adapter) for your hard disk, see Related Topics for information about how to ensure that the controller driver file is available to the Setup program.
  • If you have specialized hardware requiring a custom hardware abstraction layer (HAL) file supplied by your computer manufacturer, see Related Topics for information about how to make the HAL file available during Setup.

Related Topics


Start Setup for a new installation by starting the computer from the CD

To start Setup for a new installation by starting the computer from the CD

  1. Determine whether the computer on which you want to start Setup can be started from the CD-ROM drive, and whether you want to perform a new installation (not an upgrade). Continue only if both are true.
  2. With the computer turned off, insert the CD-ROM in the drive.
  3. Start the computer and wait for Setup to display a dialog box.
  4. Follow the Setup instructions.

Notes

  • This method applies only if you want to perform a new installation, not an upgrade. Using this method, you can perform an installation on a computer that does not have an operating system, although you can also use this method on computers that have operating systems.
  • Setup works in several stages, prompting for information, copying files, and restarting. Setup concludes with the Configure Your Server screen, which you can use to adjust the configuration for your specific needs.
  • For information about unattended Setup, see Related Topics.
  • If you have a mass storage controller (such as a SCSI, RAID, or Fibre Channel adapter) for your hard disk, see Related Topics for information about how to ensure that the controller driver file is available to the Setup program.
  • If you have specialized hardware requiring a custom Hardware Abstraction Layer (HAL) file supplied by your computer manufacturer, see Related Topics for information about how to make the HAL file available during Setup.

Related Topics


Start Setup for a new installation by starting the computer from floppy disks

To start Setup for a new installation by starting the computer from floppy disks

  1. Determine whether you want to perform a new installation or an upgrade. Continue only if you want to perform a new installation.
  2. Locate both the Windows 2000 Setup floppy disks and the Windows 2000 CD-ROM.
  3. With your computer turned off, insert the first Setup disk into drive A of your computer.
  4. Turn on your computer.
  5. Follow the Setup instructions.

Notes

  • This method applies only if you want to perform a new installation, not an upgrade. Using this method, you can perform an installation on a computer that does not have an operating system, although you can also use this method on computers that have operating systems.
  • Setup works in several stages, prompting you to insert disks and the CD-ROM, requesting information, copying files, and restarting. Setup concludes with the Configure Your Server screen, which you can use to adjust the configuration for your specific needs.
  • To create a set of floppy disks, on the Windows 2000 Setup CD-ROM, in the Bootdisk folder, use the Makeboot utility. For more information, see Related Topics.
  • For information about unattended Setup, see Related Topics.
  • If you have a mass storage controller (such as a SCSI, RAID, or Fibre Channel adapter) for your hard disk, see Related Topics for information about how to ensure that the controller driver file is available to the Setup program.
  • If you have specialized hardware requiring a custom Hardware Abstraction Layer (HAL) file supplied by your computer manufacturer, see Related Topics for information about how to make the HAL file available during Setup.

Related Topics


Start Setup and provide a mass storage driver or a HAL file

To start Setup and provide a mass storage driver or a HAL file

  1. Determine whether you need to supply Setup with a special file (a mass storage driver or a HAL file) supplied by your hardware manufacturer:
    • If you have a mass storage controller (such as a SCSI, RAID, or Fibre Channel adapter) for your hard disk, make sure the controller is on the Hardware Compatibility List (HCL) that was released with the software, that is, Hcl.txt in the Support folder on the Windows 2000 Server CD-ROM. This file (as contrasted with the updated Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/)) lists only the devices for which drivers are included on the Windows 2000 Server CD-ROM. If your controller is not listed in the HCL on the CD-ROM, check to see if the manufacturer has supplied a separate driver file for use with Windows 2000.
    • If you have a highly specialized computer system, review your hardware documentation to see if a custom Hardware Abstraction Layer (HAL) file is supplied by your computer manufacturer.
  2. If you determine that you need a driver or HAL file supplied by your hardware manufacturer, before beginning Setup, locate the floppy disk containing the file.
  3. During the early part of Setup, watch the bottom of the screen for a line that prompts you to press F6. Press the appropriate key as follows:
    • To supply the driver for a mass storage controller to Setup, press F6 as instructed.
    • To supply a HAL file to Setup, press F5.
  4. Follow further prompts for guidance in supplying the driver file to Setup so that it can gain access to the mass storage controller.

Note

  • If you are not sure if your mass storage controller is supported, you can try running Setup. If the controller is not supported, an error message will indicate a problem with an inaccessible boot device.

Related Topics


Enter server settings for a new installation

  • Specify regional options, name, and licensing mode
  • Enter your computer name
  • Set the Administrator account password
  • Choose your Windows 2000 Server components during Setup
  • Set the date and time
  • Allow Windows 2000 Setup to assign or obtain an IP address
  • Specify a static local IP address and settings needed for DNS and WINS
  • Specify the workgroup or domain name

Notes

  • The topics in this section provide details about entering server settings for a new installation. If you are upgrading, you can skip these topics because Setup will use your previous settings.
  • If you have a mass storage controller (such as a SCSI, RAID, or Fibre Channel adapter) for your hard disk, or if you have a specialized computer requiring a custom hardware abstraction layer (HAL) file supplied by your computer manufacturer, see To start Setup and provide a mass storage driver or a HAL file.
  • After you start Setup, a process begins in which necessary Setup files are copied to the disk. During this process, Setup displays dialog boxes you can use to select various options. The system will restart two or three times, depending on your method of installation.


Specify regional options, name, and licensing mode

To specify regional options, name, and licensing mode

  1. During Setup, in the Regional Settings dialog box, follow the instructions for customizing language, locale, and accessibility settings. You can set up Windows 2000 to use multiple languages and regional options.
  2. In the Personalize Your Software dialog box, type your name and, optionally, your organization.
  3. In the Licensing Modes dialog box, select your client licensing mode, either Per seat or Per server.

Note

  • If you are unsure which mode to use, select Per server because you can change once from Per server to Per seat at no cost. For more information about licensing modes, see Related Topics.

Related Topics


Enter your computer name

To enter your computer name

  • Enter a computer name. The recommended length for most languages is 15 characters or less. For languages that require more storage space per character, such as Chinese, Japanese, and Korean, the recommended length is 7 characters or less.

Notes

  • It is recommended that you use only Internet-standard characters in the computer name. The standard characters are the numbers 0 to 9, uppercase and lowercase letters from A to Z, and the hyphen (-) character. If you are using the Microsoft DNS Service on your network, you can use a wider variety of characters, including Unicode characters and other nonstandard characters such as the ampersand (&). Using nonstandard characters might affect the interoperability of non-Microsoft software on your network. For more information about DNS, see Related Topics.
  • The maximum length for a computer name is 63 bytes. If the name is longer than 15 bytes (15 characters in most languages, 7 characters in some), pre-Windows 2000 computers will recognize this computer by the first 15 bytes of the name only. In addition, there are additional configuration steps for a name longer than 15 bytes. For more information, see, in Related Topics, see "Domain and account naming" and "Allow a computer to use a different DNS name."
  • If this computer will be part of a domain, choose a computer name that is different from any other computer in the domain. If this computer will be part of a domain and will contain multiple operating systems, use a different computer name with each of the operating systems installed. For example, if the computer name is FileServerNT when it is started with Windows NT Server 4.0, it would need to have a different name, perhaps FileServer2000, when it is started with Windows 2000 Server. This requirement also applies for a computer that will contain two different installations of Windows 2000.

Related Topics


Set the Administrator account password

To set the Administrator account password

  1. During Setup, in Administrator Password, type a password of up to 127 characters. For the strongest system security, use a password of at least 7 characters, and use a mixture of uppercase and lowercase letters, numbers, and other characters such as *, ?, or $.
  2. In Confirm Password, type the password again.
  3. Continue with Setup.

Important

  • For security reasons, it is recommended that you assign a strong password to the Administrator account.

Notes

  • The Windows 2000 Setup program creates a user account on your computer called Administrator that has administrative privileges for managing the overall configuration of your computer. The Administrator account is intended for the person who manages this computer. For security reasons, it is recommended that you specify a password for the Administrator account. Leaving Administrator Password blank indicates no password for the account.
  • The password you type in Confirm Password must exactly match the password you type in Administrator Password. Take special care to remember and protect your password.
  • After Setup is completed, for best security, change the name of the Administrator account (it cannot be deleted) and keep a strong password on the account at all times.


Choose your Windows 2000 Server components during Setup

To choose your Windows 2000 Server components during Setup

  1. In the Windows 2000 Components dialog box, select the components you need.
  2. Continue with Setup.

Notes

  • Components often needed on networks that use TCP/IP include DHCP, DNS, and WINS. To select these components, in the Windows 2000 Components dialog box, select the Networking Services check box, click Details, and then select the component or components you need.
  • If you complete Setup and then decide you need other components, you can add the necessary components later. To do this, after running Setup, click Start, point to Settings, click Control Panel, and then double-click Add/Remove Programs. In Add/Remove Programs, click Add/Remove Windows Components.

Related Topics


Set the date and time

To set the date and time

  1. During Setup, in the Date and Time Settings dialog box, set the date, time, and time zone.
  2. If you want the system to automatically adjust for daylight saving time, select the Automatically adjust clock for daylight saving changes check box.
  3. Continue with Setup.


Allow Windows 2000 Setup to assign or obtain an IP address

To allow Windows 2000 Setup to assign or obtain an IP address

  • During Setup, in the Networking Settings dialog box, click Typical Settings.

Notes

  • When you select Typical Settings in the Networking Settings dialog box, Windows 2000 Setup checks to see if there is a DHCP server in your domain. If there is a DHCP server in your domain, that server provides the IP address. If there is no DHCP server in your domain, Automatic Private IP Addressing (APIPA) assigns an IP address.
  • For information about using protocols other than TCP/IP, read the documentation for your network adapter.

Related Topics


Specify a static local IP address and settings needed for DNS and WINS

To specify a static local IP address and settings needed for DNS and WINS

  1. During Setup, in the Networking Settings dialog box, click Custom settings.
  2. In the Networking Components dialog box, click Internet Protocol (TCP/IP), and then click Properties.
  3. In the Internet Protocol (TCP/IP) Properties dialog box, click Use the following IP address.
  4. In IP address and Subnet mask, type the appropriate numbers. (If appropriate, specify the Default gateway as well).
  5. Under Use the following DNS server addresses, type the address of a preferred DNS server and, optionally, an alternate DNS server. If the local server is the preferred or alternate DNS server, type the same IP address as assigned in the previous step.
  6. If you will use a WINS server, click Advanced, and on the WINS tab, click Add to add the IP address of one or more WINS servers. If the local server is a WINS server, type the IP address assigned in step 5.
  7. Click OK in each dialog box, and continue with Setup.

Notes

  • For information about using protocols other than TCP/IP, read the documentation for your network adapter.
  • If you are not familiar with DHCP or the possible choices for a static IP address and associated subnet mask, it is recommended that you use Automatic Private IP Addressing (APIPA), which is part of Setup and automatically assigns IP addresses for you. After using APIPA, you can change to a configuration that uses DHCP. For more information about APIPA, see "Allow Windows 2000 Setup to assign or obtain an IP address" in Related Topics.

Related Topics


Specify the workgroup or domain name

To specify the workgroup or domain name

  1. During Setup, choose whether your server will be in a workgroup or a domain.
  2. Specify the workgroup or domain name.
  3. Continue with Setup.

Related Topics


Configure your server

When the Setup wizard completes the installation of Windows 2000, the computer restarts. Setup has now performed the basic installation. The Configure Your Server program, which will appear on the screen if you log on as the computer's administrator, makes further configuration easy. At this point you can register your copy of Windows 2000 Server and configure your server.

You can start Configure Your Server at any time by clicking Start, pointing to Programs, pointing to Administrative Tools, and then clicking Configure Your Server. Other configuration tools are also available from Administrative Tools.

Icon Elements More information
Active Directory Active Directory

User accounts, domains, server roles, permissions, and other security functions.

 Active Directory overview
File Server File Server

Shared folders and other shared network resources.

 The Distributed File System

Shared folders
Print Server Print Server

Printers, printer queues, and other elements related to printing.

 Printing
Web Server Web/Media Server

Web sites, multimedia sites, FTP sites, and other functionality. To use these services, you must install the appropriate components in Windows 2000 Server.

 Choosing components to install

Internet Information Services

Using Windows Media Services
Networking Networking

Protocols, remote access, and routing.

 Networking
Application Server Application Server

Component Services and related support for applications distributed across a network; also includes Terminal Services.

 Application and programming tools

Terminal Services
Advanced Advanced

Windows 2000 Resource Kit support tools and optional components such as Remote installation.


Concepts

This section provides background for planning the installation of a Windows 2000 Server. For information about which topics apply if you are upgrading and which apply if you are performing a new installation, see the following:

  • Checklist: Performing an upgrade
  • Checklist: Performing a new installation

The following topics will help you plan your installation.

  • Important files to review
  • Choosing a licensing mode
  • Choosing components to install
  • Planning for unattended Setup
  • System requirements and hardware compatibility
  • Upgrading or installing
  • Deciding whether a computer will contain more than one operating system
  • Choosing a file system
  • Planning disk partitions for new installations
  • Networking: TCP/IP, IP addresses, and name resolution
  • Deciding between workgroups and domains
  • Preparing your system before running Setup


Important files to review

At some point in your planning process, before you run Setup, familiarize yourself with important files found on the root directory of the Windows 2000 Server CD-ROM:

  • Read1st.txt. Contains critical preinstallation notes vital to the success of your installation.
  • Readme.doc. Contains important usage information about hardware, networking, applications and printing.

You should also review the Hardware Compatibility List for Windows 2000 Server. For more information, see Hardware compatibility.

For the most recent information on compatible and certified applications for Microsoft Windows 2000, see the Directory of Windows 2000 Applications Web site (http://www.microsoft.com/). This site allows you to search for information on current applications and also on applications specifically designed for Windows 2000.

Most of the information contained in the Getting Started topics also appears in the Setuptxt folder on the Windows 2000 Server CD-ROM, in text files with file names of the form Srv*.txt.


Choosing a licensing mode

Windows 2000 Server supports two licensing modes: Per seat and Per server. If you choose the Per seat mode, each computer that accesses a Windows 2000 server requires a separate Client Access License (CAL). With one CAL, a particular client computer can connect to any number of Windows 2000 servers. This is the most commonly used licensing method for companies with more than one Windows 2000 server.

In contrast, Per server licensing means that each concurrent connection to this server requires a separate CAL. This means that at any one time, this Windows 2000 server can support a fixed number of connections. For example, if you selected the Per server client licensing mode and five concurrent connections, this Windows 2000 server could have five computers (clients) connected at any one time. Those computers would not need any additional licenses.

The Per server licensing mode is often preferred by small companies with only one Windows 2000 server. It is also useful for Internet or remote access servers where the client computers might not be licensed as Windows 2000 network clients. You can specify a maximum number of concurrent server connections and reject any additional logons.

If you are unsure which mode to use, choose Per server since you can change once from Per server to Per seat at no cost. (However, if you plan to use Terminal Services as an application server, see the next paragraph.)

If you plan to use Terminal Services for an application server (not just for remote administration), the licensing mode is usually Per seat, except with the Terminal Services Internet Connector license, where the mode would always be Per server. In addition, if you will use Terminal Services, you will also need to install one or two components: Terminal Services and (for an application server) Terminal Services Licensing. For more information about these components, see Choosing components to install.


Choosing components to install

Windows 2000 Server includes a wide variety of core components, including a number of administrative tools, that Setup installs automatically. In addition, you can choose from a number of optional components that extend the functionality of Windows 2000 Server. You can install these components during Setup, or you can add them later (through Add/Remove Programs in Control Panel). Choosing more of these components means providing more possibilities on the server. However, choose only the components you need, since each component requires additional disk space. The following table, and the list that follows it, will help you choose the components you need in your installation.

Server functions and associated software components

Server function | Possible components
DHCP, DNS, and/or WINS server (in a TCP/IP network) | Dynamic Host Configuration Protocol (DHCP), Domain Name System (DNS), and/or Windows Internet Name Service (WINS), all part of Networking Services
Centralized administration of networks | Management and Monitoring Tools Remote Installation Services Terminal Services (remote administration mode)
Authentication and secure communication | Internet Authentication Service (part of Networking Services) Certificate Services
File access | Indexing Service Remote Storage Other Network File and Print Services (support for Macintosh and UNIX operating systems)
Print access | Other Network File and Print Services (support for Macintosh and UNIX operating systems)
Terminal Services | Terminal Services (application server mode); Terminal Services Licensing
Application support | Message Queuing QoS Admission Control (part of Networking Services)
Internet (Web) infrastructure | Internet Information Services Site Server ILS Service (part of Networking Services)
Dial-up access support | Connection Manager Administration Kit and Connection Point Services (part of Management and Monitoring Tools). Note that Routing and Remote Access service is included as a core element of Windows 2000 and does not need to be installed as a component.
Multimedia communications | Windows Media Services
Support for a variety of client operating systems | Other Network File and Print Services (support for Macintosh and UNIX operating systems). See also "Centralized administration of networks" earlier in this table.

The following list describes the components in the preceding table and all other components that you can install.

Accessories and Utilities
Includes desktop accessories such as Wordpad, Paint, Calculator, and CD Player, as well as games such as Solitaire. To select individual items, click Details and select from the list.
Certificate Services
Provides security and authentication support, including secure e-mail, Web-based authentication, and smart card authentication. For information about authentication of dial-up users, see Networking Services, later in this list.
Indexing Service
Provides indexing functions for documents stored on disk, allowing users to search for specific document text or properties.
Internet Information Services (IIS)
Provides support for Web site creation, configuration, and management, along with Network News Transfer Protocol (NNTP), File Transfer Protocol (FTP), and Simple Mail Transfer Protocol (SMTP).
Management and Monitoring Tools
Provides tools for communications administration, monitoring, and management, including programs that support development of customized client dialers for remote users and implementation of phone books that can be automatically updated from a central server. In addition, includes the Simple Network Management Protocol (SNMP).
Message Queuing
Provides a communication infrastructure and a development tool for creating distributed messaging applications. Such applications can communicate across heterogeneous networks and with computers that might be offline. Message Queuing provides guaranteed message delivery, efficient routing, security, transactional support, and priority-based messaging.
Networking Services
Provides important support for networking, including the items in the following list. For information about network monitoring, see "Management and Monitoring Tools," earlier in this list. For background information about IP addresses and name resolution, see Networking: TCP/IP, IP addresses, and name resolution.
  • COM Internet Services Proxy. Supports distributed applications that use HTTP to communicate through Internet Information Services.
  • Domain Name System (DNS). Provides name resolution for clients running Windows 2000. With name resolution, users can access servers by name, instead of having to use IP addresses that are difficult to recognize and remember.
  • Dynamic Host Configuration Protocol (DHCP). Gives a server the capability of assigning IP addresses dynamically to network devices. These devices typically include server and workstation computers, but can also include other devices such as printers and scanners. With DHCP, you do not need to set and maintain static IP addresses on any of these devices, except for intranet servers providing DHCP, DNS, and/or WINS service.
  • Internet Authentication Service (IAS). Performs authentication, authorization and accounting of dial-up and VPN users. IAS supports the RADIUS protocol.
  • QoS Admission Control. Allows you to control how applications are allotted network bandwidth. You can give important applications more bandwidth, less important applications less bandwidth.
  • Simple TCP/IP Services. Supports Character Generator, Daytime Discard, Echo, and Quote of the Day.
  • Site Server ILS Service. Supports IP telephony applications. Publishes IP multicast conferences on a network, and can also publish user IP address mappings for H.323 IP telephony. Telephony applications, such as NetMeeting and Phone Dialer in Windows Accessories, use Site Server ILS Service to display user names and conferences with published addresses. Site Server ILS Service depends on Internet Information Services (IIS).
  • Windows Internet Name Service (WINS). Provides name resolution for clients running Windows NT and earlier versions of Microsoft operating systems. With name resolution, users can access servers by name, instead of having to use IP addresses that are difficult to recognize and remember.
Other Network File and Print Services
Provides file and print services for the Macintosh operating system, as well as print services for UNIX.
Remote Installation Services
Provides services that you can use to set up new client computers remotely, without the need to visit each client. The target clients must either support remote startup with the Pre-Boot eXecution Environment (PXE) ROM, or else must be started with a remote-start floppy disk. On the server, you will need a separate partition for Remote Installation Services. For more information, see Planning disk partitions for new installations.
Remote Storage
Provides an extension to your disk space by making removable media such as tapes more accessible. Infrequently used data can automatically be transferred to tape and retrieved when needed.
Script Debugger
Provides support for script development.
Terminal Services
Offers two modes: remote administration mode or application server mode.

In application server mode, Terminal Services provides the ability to run client applications on the server, while "thin client" software acts as a terminal emulator on the client. Each user sees an individual session, displayed as a Windows 2000 desktop, and each session is managed by the server, independent of any other client session. If you install Terminal Services as an application server, you must also install Terminal Services Licensing (not necessarily on the same computer). However, temporary licenses can be issued for clients that allow you to use Terminal servers for up to 90 days.

In remote administration mode, you can use Terminal Services to remotely log on to and manage Windows 2000 systems from virtually anywhere on your network (instead of being limited to working locally on a server). Remote administration mode allows for two concurrent connections from a given server and minimizes impact on server performance. Remote administration mode does not require you to install Terminal Services Licensing.

Terminal Services Licensing
Provides a licensing service that allows you to download, issue, and track licenses for Terminal Services clients. If you install Terminal Services in application mode (not in remote administration mode), you must also install Terminal Services Licensing (not necessarily on the same computer). However, temporary licenses can be issued for clients that allow you to use Terminal servers for up to 90 days.

To register a license server quickly, install it on a computer that has Internet access.

During Terminal Services Licensing Setup, you can select from two types of license server: domain license server (the default) or enterprise license server. A domain license server can only support Terminal servers that are in the same domain as the license server. You must choose a domain license server if the license server is in a workgroup or a Windows NT 4.0 domain. Regardless of the type of domain, you can choose a domain license server if you want to maintain a separate license server for each domain. In Windows 2000 domains, you must install the domain license server on a domain controller. In workgroups or Windows NT 4.0 domains, you can install the domain license server on any server.

You can also choose to install a license server as an enterprise license server. An enterprise license server can support Terminal servers in Windows 2000 domains or mixed domains (that is, with some domain controllers running Windows 2000 and some domain controllers running Windows NT 4.0). You must choose an enterprise license server if the license server will support Terminal servers in multiple Windows 2000 domains.

Windows Media Services
Provides multimedia support, allowing you to deliver content using Advanced Streaming Format over an internet or the Internet.


Planning for unattended setup

This topic provides general information about unattended setup. For detailed instructions on running unattended setup (also called automated installation), see the Windows 2000 Server Resource Kit, Deployment Planning Guide. For a description of the Resource Kit, see Windows 2000 Resource Kit.

To simplify the process of setting up Windows 2000 on multiple computers, you can run Setup unattended. To do this, you create and use an answer file, a customized script that answers the Setup questions automatically. Then you run Setup from the command line with the appropriate options for unattended setup.

The command used for starting an unattended setup is the same as for interactive setup:

  • For starting unattended setup on a computer running MS-DOS or Windows 3.x, use Winnt.exe (with appropriate options).
  • For starting unattended setup on a computer running Windows NT 4.0, Windows 95, or Windows 98, use Winnt32.exe (with appropriate options).

To learn about unattended setup, see the following sources:

  • For detailed instructions on running unattended setup (also called automated installation), see the Windows 2000 Server Resource Kit, Deployment Planning Guide. For a description of the Resource Kit, see Windows 2000 Resource Kit.
  • To view the command options available for Winnt.exe, on a computer running Windows 3.x or MS-DOS, insert the Windows 2000 Setup CD in the CD-ROM drive and display the command prompt. Then change to the CD-ROM drive, change to the I386 directory, and type
    winnt /?
  • To view the command options available for Winnt32.exe, on a computer running Windows 95, Windows 98, or Windows NT, insert the Windows 2000 Setup CD in the CD-ROM drive and display the command prompt (click Start, click Run, and then type cmd). Then change to the CD-ROM drive, change to the I386 directory, and type
    winnt32 /?

For information about using the Winnt.exe or Winnt32.exe commands for interactive setup (not unattended setup), see Start Setup.


System requirements and hardware compatibility

  • System requirements
  • Hardware overview
  • Hardware compatibility
  • Taking an optional device inventory
  • Mass storage drivers and the setup process
  • Understanding ACPI BIOS


System requirements

To ensure adequate performance, make sure that computers on which you will install Windows 2000 Server meet the following requirements:

  • 133-MHz Pentium or higher central processing unit (CPU).

    A maximum of four CPUs per computer are supported.

  • 256 megabytes (MB) of RAM recommended minimum (128 MB minimum supported; 4 gigabytes (GB) maximum).
  • A hard disk partition with enough free space to accommodate the Setup process. The minimum amount of space required will be approximately 1 GB. More space might be needed, depending on the following:
    • The components being installed: the more components, the more space needed.
    • The file system used: FAT requires 100-200 MB more free disk space than other file systems.
    • The method used for installation: if installing from across a network, allow 100-200 MB more space than if installing from the CD-ROM. (More driver files need to be available during installation across a network.)
    • The size of the paging file.

    In addition, an upgrade could require much more space than a new installation, since the existing user accounts database can expand by as much as a factor of ten during the upgrade, as Active Directory functionality is added.

    Note

    • The Setup process requires the free disk space described in the previous paragraphs. After Setup is finished, actual hard disk space used for the operating system (excluding user accounts) is usually less than the free space required for Setup, depending on system components installed.

    For additional information about planning the sizes of disk partitions, including information about creating a separate partition for Remote Installation Services, see Considerations when planning disk partitions.

  • VGA or higher-resolution monitor.
  • Keyboard.
  • Mouse or other pointing device (optional).

For CD-ROM installation:

  • A CD-ROM or DVD drive.
  • High-density 3.5-inch disk drive, if you plan to start the computer from the Setup media and starting the computer from the CD-ROM is not supported by your system. If your computer does not have a working operating system and also does not support startup from the CD-ROM, you must have a high-density 3.5-inch disk drive.

For network installation:

  • One or more Windows 2000-compatible network adapters and related cables. See the Hardware Compatibility List (HCL), which is on the Windows 2000 CD-ROM, in the Support folder, in Hcl.txt. You can find updated versions of the HCL at the:

    Microsoft Web site (http://www.microsoft.com/).

  • A server from which to offer network access for the Setup files.


Hardware compatibility

Windows 2000 Setup automatically checks your hardware and software and reports any potential conflicts. To ensure a successful installation, however, check to make sure your computer hardware is compatible with Windows 2000 Server before starting Setup.

To do this, check the Windows 2000 Hardware Compatibility List (HCL). If your hardware is not listed, Setup might not be successful. (Note that one type of hardware no longer supported is the microchannel bus.)

To see the version of the HCL that was released with Windows 2000, on the Windows 2000 CD-ROM, in the Support folder, open Hcl.txt.

Updated versions of the HCL are available at the Microsoft Windows Hardware Compatibility List Web site (http://www.microsoft.com/).

In addition, check that you have updated drivers for your hardware devices and that you have the latest system BIOS. The device manufacturers can assist you in obtaining these items. For more information about the importance of the latest system BIOS for an Advanced Configuration and Power Interface (ACPI) computer, see Understanding ACPI BIOS.

Finally, before installing Windows 2000 Server, consider taking a device inventory of the hardware devices in your computer. For more information, see Taking an optional device inventory.


Taking an optional device inventory

To ensure smooth functioning of your adapters and other devices in your computer, see:

  • System requirements
  • Hardware compatibility
For specific information about using a mass storage controller (such as a SCSI, RAID, or Fibre Channel adapter) with a driver that was supplied by the manufacturer, see Mass storage drivers and the setup process.

Windows 2000 includes Plug and Play technology so that devices (for example, video and network adapters) can be automatically recognized by the operating system, configuration conflicts are avoided, and you do not have to specify each device's settings by hand. However, if you have devices that do not use Plug and Play, or you are aware that your Plug and Play devices are not implemented exactly to the standards, you might want to take steps to avoid device configuration conflicts. This section describes steps you can take, if you choose, to understand your device configuration before running Setup.

To better understand the configuration of the devices in your computer, take an inventory of them. To do this, if you have an existing operating system, use it to obtain the current settings, such as memory address and interrupt request (IRQ), used with your devices. For example, with Windows NT 4.0, you can use Control Panel to view settings (on the Start menu, point to Settings, click Control Panel, and then double-click icons such as Network and Ports). You might also choose to view system BIOS information. To do this, watch the screen while starting the computer and then press the appropriate key when prompted.

During Setup, Windows 2000 automatically takes a device inventory as well. However, taking your own inventory helps prevent the following difficulties:

  • If two or more adapters share IRQ settings or memory addresses, Windows 2000 might not be able to resolve the conflict. To prevent this, you can take one of two approaches.

    You can remove one of the adapters before running Setup and re-install it afterward. For more information, see:

    • Hardware overview
    • Common tasks

    Alternatively, you can modify one adapter's IRQ settings and memory addresses before running Setup, so that each adapter's settings are unique.

  • If adapters do not respond in a standard way to the attempts by Windows 2000 to detect or enumerate them, Windows 2000 might receive indecipherable or inaccurate information. In this case, you might need to remove these devices before running Setup, and re-install and configure them afterward. For more information, see
    • Hardware overview
    • Common tasks

The following table lists the kinds of information to gather before starting Setup.

Adapter | Information to gather
Video | Adapter or chipset type and how many video adapters
Network | IRQ, I/O address, DMA (if used) connector type (for example, BNC or twisted pair), and bus type
SCSI controller | Adapter model or chipset, IRQ, and bus type
Mouse | Mouse type and port (COM1, COM2, bus, or PS/2) or USB
I/O port | IRQ, I/O address, and DMA (if used) for each I/O port
Sound adapter | IRQ, I/O address, and DMA
Universal serial bus (USB) | Devices and Hubs attached
PC Card | What adapters are inserted and in which slots
Plug and Play | Whether enabled or disabled in BIOS
BIOS settings | BIOS revision and date
External modem | Com port connections (COM1, COM2, and so on)
Internal modem | Com port connections; for nonstandard configurations, IRQ and I/0 address
Advanced Configuration and Power Interface (ACPI); Power Management | Enabled or disabled; current setting
PCI | What PCI adapters are inserted and in which slots


Mass storage drivers and the setup process

If you have a mass storage controller (such as a SCSI, RAID, or Fibre Channel adapter) for your hard disk, check to see if the controller is on the Hardware Compatibility List (HCL) that was released with the software, that is, Hcl.txt in the Support folder on the Windows 2000 Server CD-ROM. This file (as contrasted with the updated HCL at the Microsoft Windows Hardware Compatibility List Web site (http://www.microsoft.com/)) lists only the devices for which drivers are included on the Windows 2000 Server CD-ROM. If your controller is not listed in the HCL on the CD-ROM, but the manufacturer has supplied a separate driver file for use with Windows 2000, locate the floppy disk containing the file before beginning Setup. During the early part of Setup, a line at the bottom of the screen will prompt you to press F6. Further prompts will guide you in supplying the driver file to Setup so that it can gain access to the mass storage controller.

If you are not sure that your mass storage controller is supported, you can try running Setup. If the controller is not supported, an error message will indicate a problem with an inaccessible boot device.


Understanding ACPI BIOS

A computer's basic input/output system (BIOS) is a set of software through which the operating system (or Setup) communicates with the computer's hardware devices. The Advanced Configuration and Power Interface (ACPI) is the current standard for the way the BIOS works. Windows 2000 supports not only ACPI-compliant BIOS versions, but also some BIOS versions based on older advanced power management (APM) and Plug and Play designs.

Some ACPI-based BIOS versions are not compliant with the standard. The more recent the version of an ACPI BIOS, the more likely that it is compliant. An ACPI-based BIOS that is not compliant with the ACPI standard might not support workable communication between the operating system (or Setup) and your hardware. If workable communication is not supported, Setup stops and displays instructions for contacting your hardware manufacturer and taking other steps to solve the problem. If this happens, follow the instructions provided.

To learn more about the ACPI compliance of your BIOS:

  • For information about which ACPI-based BIOS versions are ACPI-compliant, check the Hardware Compatibility List (HCL) for Windows 2000, described in Hardware compatibility. This is the definitive source for this information.
  • For information about your BIOS version, before running Setup, restart the computer and watch the text on the screen. Pay particular attention to blocks of text containing the words "BIOS" or "ACPI BIOS."
  • For information about BIOS versions for your hardware, check your hardware documentation and contact your hardware manufacturer.
  • If you think your BIOS might be a noncompliant ACPI BIOS, see the section about ACPI BIOS in the "System Recovery and Troubleshooting" appendix of the printed Getting Started manual. Alternatively, you can find this information on the Windows 2000 Server CD-ROM in the \Setuptxt folder, in text (.txt) files.


Upgrading or installing

This section provides information that will help you decide whether to upgrade or to install. It provides details about upgrading and installing, such as a list of the operating systems from which you can upgrade. In addition, it provides information about the steps to take when upgrading a small domain.

  • Upgrading compared with installing
  • Upgrading a domain


Upgrading compared with installing

After you have reviewed System requirements and hardware compatibility and Important files to review, and before you run Windows 2000 Server Setup, you will need to determine whether to upgrade or to perform a new installation. Upgrading is replacing a version of Windows NT with Windows 2000 Server. Installing, in contrast with upgrading, means wiping out the previous operating system, or installing Windows 2000 Server on a disk or disk partition with no previous operating system.

Note

  • Do not upgrade to or install Windows 2000 on a compressed drive unless the drive was compressed with the NTFS file system compression utility. Uncompress a DriveSpace or DoubleSpace volume before running Windows 2000 Setup on it.

If you have already decided whether to upgrade or to perform a new installation, see Checklist: Performing an upgrade or Checklist: Performing a new installation.

There are several reasons to choose to upgrade. (To determine whether your old operating system is a version from which you can upgrade, see "Upgrading" later in this topic.) Configuration is simpler, and your existing users, settings, groups, rights, and permissions are retained. In addition, files and applications do not need to be reinstalled. As with any major changes to the hard disk, however, it is recommended that you back up the disk before running Setup.

If you want to upgrade and then use the same applications as before, be sure to read Read1st.txt and the applications section of Readme.doc (in the root directory of the Windows 2000 CD-ROM). Also, for the most recent information on compatible and certified applications for Microsoft Windows 2000, see the Directory of Windows 2000 Applications Web site (http://www.microsoft.com/).

It is possible to install Windows 2000 Server and also allow the computer to sometimes run another operating system. Setting up the computer this way, however, presents complexities because of file system issues. For more information, see Deciding whether a computer will contain more than one operating system.

Upgrading

If you upgrade, Setup automatically installs Windows 2000 Server into the same folder as the currently installed operating system. You can upgrade from the following versions of Windows:

  • Windows NT version 3.51 Server (excluding installations with Citrix software)
  • Windows NT version 4.0 Server
  • Windows NT version 4.0 Terminal Server

If you have Windows NT 4.0 Server Enterprise Edition, you can upgrade to Windows 2000 Advanced Server, but not Windows 2000 Server.

Note

  • If you have a version of Windows NT Server earlier than 3.51, you cannot upgrade directly to Windows 2000 Server from it. You must first upgrade to Windows NT Server 3.51 or 4.0.

Installing

If you plan to perform a new installation, note that:

  • For a new installation on a disk partition that contains applications you want to keep, you must back the applications up and re-install them after installing Windows 2000 Server.
  • If you want to perform a new installation of Windows 2000 Server on a partition that previously contained Windows 2000 Server, and if you have saved documents under My Documents and you want to keep them, back up the documents in the Documents and Settings folder (typically in the root directory), and then copy these documents back into the Documents and Settings folder after completing the installation.


Upgrading a domain

This section provides information about the steps to take when upgrading a domain of two to five servers. For information about upgrading a larger domain, see the Windows 2000 Server Resource Kit, Deployment Planning Guide. For a description of the Resource Kit, see Windows 2000 Resource Kit.

  • Upgrading an existing Windows NT domain
  • Planning the order of server upgrades
  • Upgrading a domain by upgrading domain controllers first
  • Upgrading a domain by upgrading member servers first


Upgrading an existing Windows NT domain

Domains are an important feature of both Windows NT Server and Windows 2000 Server. A domain is a grouping of accounts and network resources under a single domain name and security boundary. It is necessary to have one or more domains if you want to use domain-based user accounts and other domain security features in Windows 2000 Server. (This was true for Windows NT Server as well.)

With Windows 2000, servers can have one of three roles in relation to domains:

  • Domain controllers contain matching copies of the user accounts and other Active Directory data in a given domain.
  • Member servers belong to a domain but do not contain a copy of the Active Directory data.
  • Stand-alone servers belong to a workgroup rather than a domain.
A domain must have at least one domain controller. For resilience, a domain should have multiple domain controllers to support the handling of logon requests and directory updates.

It is recommended that you plan the roles that your servers will have within domains in Windows 2000 before running Setup. However, you can still make adjustments to these roles after Setup.

There are several important points to remember about upgrading an existing Windows NT domain to run with Windows 2000:

  • You must use the NTFS file system on domain controllers. In addition, any servers that have any partition formatted with FAT or FAT32 will lack many security features. For example, on FAT or FAT32 partitions, a shared folder can be protected only by the permissions set on the share, not on individual files, and there is no software protection against local access to the partition.
  • If you want to upgrade a server and then use the same applications as before, be sure to read about application compatibility.

    One important source of application compatibility information is Read1st.txt and the applications section of Readme.doc (in the root directory of the Windows 2000 CD-ROM). For more information about these files, see Important Files to Review.

    For the most recent information on compatible and certified applications for Microsoft Windows 2000, see the Directory of Windows 2000 Applications Web site (http://www.microsoft.com/).

    This site allows you to search for information on current applications and also on applications specifically designed for Windows 2000.

  • You can upgrade member servers before or after upgrading domain controllers. However, when you upgrade the domain controllers in a Windows NT domain to Windows 2000, you must upgrade the primary domain controller first.
  • When you begin upgrading domain controllers, if you have a remote access server that is a member server, it is recommended that you upgrade it before the last domain controller is upgraded. For more information, see Upgrading a domain by upgrading domain controllers first.

The roles of the servers in a domain are named somewhat differently with Windows 2000 Server as compared to Windows NT Server. With Windows NT Server, the possible roles were primary domain controller (limited to one per domain), backup domain controller, member server, or stand-alone server. Windows 2000 has only one kind of domain controller (without a "primary" or "backup" designation), and also includes the roles of member server and stand-alone server. When you upgrade, Windows 2000 Setup assigns server roles as follows:

Role in Windows NT domain | Role in Windows 2000 domain
Primary domain controller | Domain controller
Backup domain controller | Your choice of domain controller or member server
Member server | Member server
Stand-alone server | Stand-alone server


Planning the order of server upgrades

When planning the order of server upgrades in a domain, there are two somewhat different approaches: upgrading the domain controllers first, or upgrading the member servers first. You can mix these approaches. However, when you begin upgrading domain controllers, you must upgrade the primary domain controller first.

If you upgrade member servers first (without upgrading domain controllers), a variety of features become available, but none that require Active Directory. One you begin upgrading domain controllers, Active Directory features become available.

For background information about server roles (which you must understand to plan the order of server upgrades), see Upgrading an existing Windows NT domain. For more detailed information about upgrading domains, or information about upgrading domains with more than five servers, see the Windows 2000 Server Resource Kit, Deployment Planning Guide. For information about the Resource Kit, see Windows 2000 Resource Kit.

The following table shows the advantages and disadvantages of the two approaches to server upgrades:

Order of server upgrades | Advantages | Disadvantages
Domain controllers first (must start with primary domain controller) | Provides all the features of Active Directory as well as the other features of Windows 2000 Server (see lists that follow). | Requires you to organize Active Directory structures at time of upgrade. Note that with a small domain (two to five servers), organizing Active Directory structures will take little effort.
Member servers first | Provides protocol support and other features (see the appropriate list later in this topic), whether or not domain controller upgrades and the organizing of Active Directory structures have been carried out. | Does not provide features that are part of Active Directory.

The lists in the sections that follow show the features that are available with each approach to upgrading servers. For more detailed information about new features, see the following:

  • What's new in Windows 2000 Server
  • Active Directory
  • Alphabetical list of features

Features available with domain controller upgrade

When domain controllers are upgraded and begin communicating on a network, all the features of Windows 2000 Server become available through these servers. Of these features, the Active Directory features are listed in this section, and a number of other features are listed in "Features available with upgrade of any server" later in this topic. For more information about the Active Directory features, see Active Directory.

Note

  • The features available when domain controllers are upgraded include not only the features in the following list, but also the features in "Features available with upgrade of any server" later in this topic.

Active Directory includes the following features:

  • Simplified management of network-resource information and user information.
  • Group policy, which you can use to set policies that apply across a given site, domain, or organizational unit in Active Directory.
  • Security and authentication features, including support for Kerberos V5, Secure Sockets Layer (SSL) v3, and Transport Layer Security (TLS) using X.509v3 certificates.
  • Directory consolidation, through which you can organize and simplify the management of users, computers, applications, and devices, and make it easier for users to find the information they need. You can take advantage of synchronization support through LDAP-based interfaces, and work with directory consolidation requirements specific to your applications.
  • Directory-enabled applications and infrastructure, which make it easier to configure and manage applications and other directory-enabled network components.
  • Scalability without complexity, a result of Active Directory scaling to millions of objects per domain and using indexing technology and advanced replication techniques to speed performance.
  • Use of Internet standards, including access through LDAP and a namespace based on the Domain Name System (DNS).
  • Active Directory Service Interfaces (ADSI), a powerful development environment.
  • Additional features, as described in Active Directory.

Features available with upgrade of any server

The features in the following list are available when member servers are upgraded in a domain, regardless of whether domain servers have been upgraded. The features available when domain controllers are upgraded include not only the features in the following list, but also the features in the previous one. For more detailed information about new features, see What's new in Windows 2000 Server.

  • Management tools:
    Microsoft Management Console
    Plug and Play
    Device Manager
    Add/Remove Hardware wizard (in Control Panel)
    Support for universal serial bus
    New Backup utility
  • File system support: Enhancements to the latest version of NTFS include support for disk quotas, the ability to defragment directory structures, and compressed network I/O.
  • Application services: Win32 Driver Model, DirectX 5.0, and Windows Script Host.
  • Printer protocol support: Device and protocol support allowing choices from more than 2,500 different printers. Other printing enhancements are included; for example, Internet Printing Protocol support, which allows users to print directly to a URL over an intranet or the Internet.
  • Scalability and availability: Improved symmetric multiprocessor support.
  • Security: Encrypting file system.

More information

For more information about the domain upgrade process, see:

  • Upgrading a domain by upgrading domain controllers first
  • Upgrading a domain by upgrading member servers first

For more information about domains, see:

  • For detailed information about domains and all the elements within a domain, see Active Directory.
  • For information about setting up multiple domains with structured relationships, see the Windows 2000 Server Resource Kit, Deployment Planning Guide. For information about the Resource Kit, see Windows 2000 Resource Kit.


Upgrading a domain by upgrading domain controllers first

You can upgrade a domain by taking one of two general approaches: upgrading domain controllers first or member servers first. If you are not sure which approach you want to take, see Planning the order of server upgrades.

If you upgrade your Windows NT domain by upgrading the domain controllers first, the upgrade has the following three stages:

  • Carrying out backups and other preparations so you can restore the previous installation if necessary.
  • Upgrading the primary domain controller. You must do this before upgrading any backup domain controllers.
  • Upgrading other servers in the domain.

This section describes the actions to take for these stages. For additional information, see the following:

  • For a more in-depth discussion of planning the upgrade of domain controllers, see the Windows 2000 Server Resource Kit, Deployment Planning Guide (for a description of the Resource Kit, see Windows 2000 Resource Kit).
  • For details about what versions of Windows NT can be upgraded to Windows 2000 Server, see Upgrading or installing.

Backups and other preparations

As with any major change to the contents of hard disks on your servers, it is recommended that you back up each server before upgrading it. Also be sure to review Preparing your system for an upgrade.

In addition, to safeguard your existing network integrity, you might consider removing a backup domain controller temporarily from the network. To do this, in your existing Windows NT network, choose a backup domain controller, ensure that it has a current copy of the user accounts database, and back it up. Then disconnect its network cable. After upgrading your primary domain controller to Windows 2000 (you must upgrade the primary domain controller first), this disconnected system is available for promotion to a Windows NT primary domain controller if needed. However, in the course of an uneventful upgrade, you would not and could not promote the Windows NT backup domain controller to primary domain controller. Instead, you would continue the upgrade process, eventually reconnecting the disconnected server and upgrading it.

In addition, for any computer that will be a domain controller in the Windows 2000 domain, make sure that there is plenty of room on the disk, beyond the space needed for the operating system itself. (For information about the disk requirements for the operating system, see System requirements.) When Setup upgrades the user accounts database to the format used by Windows 2000 Server, the database can expand by as much as a factor of ten.

Upgrading servers

The first domain controller to be upgraded in a Windows NT domain must be the primary domain controller. As you upgrade this server, you will be given the choices of creating a new domain or a child domain, and creating a new forest or a domain tree in an existing forest. For the upgrading of a domain of two to five servers (which is the size of domain discussed in these Getting Started topics), create a new domain and a new forest. For information about domain structures to use with larger numbers of servers, see the Windows 2000 Server Resource Kit, Deployment Planning Guide.

During the upgrade, you can choose the location of three important items: the database containing user accounts and other Active Directory data, the log file, and the system volume (Sysvol) folder. The database and the log file can be on any kind of partition (FAT, FAT32, or NTFS); the database can expand by as much as a factor of ten from the size it had with Windows NT, so allow plenty of room for it. (Initially, the log file will take up very little space.) The system volume directory must be on an NTFS partition. (For information about NTFS and other file systems, see Choosing a file system.)

After the primary domain controller is upgraded to a Windows 2000 domain controller, it will be fully backward-compatible. This means that the domain controller appears as a Windows 2000 domain controller to Windows 2000 servers and clients, but emulates a Windows NT 4.0 primary domain controller to other servers and clients.

After upgrading your primary domain controller and ensuring that it is functioning to your satisfaction, upgrade any backup domain controllers next. (If possible, it is best to begin the upgrades soon, rather than allowing a long delay.) Also, if you have a remote access server that is a member server, it is recommended that you upgrade it before the last backup domain controller is upgraded. A remote-access member server is dependent on domain controllers for user information, and therefore should not be "left behind" when domain controllers are upgraded. As an alternative, you can weaken the security permissions on Active Directory so that the remote access server running Windows NT can read user attributes from the Windows 2000 domain controllers. For more information, see the Windows 2000 Server Resource Kit, Deployment Planning Guide (described in Windows 2000 Resource Kit).

Note

  • When the second domain controller is upgraded, it copies the first (the former primary domain controller). Therefore, be sure that the first domain controller is running and available on the network as you upgrade the second. Similarly, be sure that at least one Windows 2000 domain controller is available on the network when you upgrade the third, fourth, and any remaining Windows NT domain controllers.

Upgrade the backup domain controllers one at a time (ensure that each is backed up before upgrading). Start and test each server on the network to ensure that it is functioning to your satisfaction before upgrading another backup domain controller.

When you have completely upgraded all domain controllers to Windows 2000 domain controllers, you have the option of changing the domain from mixed mode (where Windows NT domain controllers can exist in the domain) to native mode (where only Windows 2000 domain controllers can exist in the domain). This is an important decision, because you cannot revert to mixed mode after changing to native mode.

For information about domain trees, mixed mode, native mode, or any other item related to domains, see Active Directory. For information about performing upgrades in domains larger than five servers, see the Windows 2000 Server Resource Kit, Deployment Planning Guide.


Upgrading a domain by upgrading member servers first

You can upgrade a domain by taking one of two general approaches: upgrading domain controllers first or member servers first. For information about the advantages and disadvantages of each approach, see Planning the order of server upgrades.

Note

  • If you have a remote access server that is a member server, and you have begun upgrading any domain controllers, be sure to read Upgrading a domain by upgrading domain controllers first.

Before upgrading any server, be sure to back it up, and review Preparing your system for an upgrade.

If you upgrade a domain by upgrading member servers first, you can upgrade one, a few, or all of the member servers at a given time. Choose the order of the upgrades by considering which of your servers would be most improved by the features in Windows 2000 Server. For information about the features available when member servers are upgraded, see Planning the order of server upgrades.

After upgrading member servers in a domain, when you are ready to upgrade domain controllers, follow the instructions in Upgrading a domain by upgrading domain controllers first.


Deciding whether a computer will contain more than one operating system

  • Considerations for computers that contain more than one operating system
  • Multiple operating systems and file system compatibility
  • Computers that contain Windows NT 4.0 and Windows 2000 Server
  • Computers that contain Windows 95 or Windows 98 and Windows 2000
  • Computers that contain MS-DOS and Windows 2000
  • Computers that contain multiple Windows 2000 partitions


Considerations for computers that contain more than one operating system

A computer can be set up so that you can choose between two or more operating systems each time you restart the computer. For example, you could set up a server to run Windows 2000 Server most of the time but allow it to sometimes run Windows NT Server version 4.0 in order to support an older application. (However, to do this you would need to make specific file-system choices and would probably need the latest released Service Pack, as described in Multiple operating systems and file system compatibility.) During restarts, a display would appear for a specified number of seconds, allowing you to select between the two operating systems. (You can specify a default operating system that will run if no selection is made during the restart process.)

Note

  • If you set up a computer so that the installed operating systems include Windows 2000 and any other operating system, you must place Windows 2000 in a separate partition on the computer. This ensures that Windows 2000 will not overwrite crucial files used by the other operating system.

General factors to consider

The reason for setting a computer up so that you can choose between two or more operating systems at startup is that it allows you to use applications that run only with a particular operating system. There are definite drawbacks to setting up a computer this way, however: each operating system uses valuable disk space, and compatibility issues, especially file system compatibility, can be complex. (For more information, see the topics listed in the table later in this topic.) In addition, dynamic disk format (a new option with Windows 2000) does not work with multiple operating systems. The only operating system that can access a hard disk using dynamic disk format is Windows 2000.

Note

  • If you are considering setting up a computer with more than one operating system to ensure that you will always have a way to start the computer (regardless of driver or disk problems), first take into account the variety of disaster-recovery features available in Windows 2000. One example of these features is safe mode, in which Windows 2000 restarts with default settings and the minimum number of drivers (ensuring the ability to start even if a new driver is causing a problem). With this and a variety of other disaster-recovery features, it is not necessary to maintain more than one operating system as a safeguard against system problems. Avoiding multiple operating systems means you also avoid file-system compatibility issues and other drawbacks. For more information about safe mode and other options, under Disaster Recovery, see Concepts.

Specific details to consider

Before deciding to set up a computer with more than one operating system, review the topics that apply to your situation:

Operating system
that can alternate
with Windows 2000 		Topics to review
Windows NT 4.0
  • Multiple operating systems and file system compatibility
  • Computers that contain Windows NT 4.0 and Windows 2000 Server
Windows 95 or Windows 98
  • Computers that contain Windows 95 or Windows 98 and Windows 2000
MS-DOS
  • Computers that contain MS-DOS and Windows 2000
Multiple Windows 2000 installations
  • Computers that contain multiple Windows 2000 partitions


Multiple operating systems and file system compatibility

On computers that contain multiple operating systems, compatibility becomes more complex when you consider file-system choices. The file systems to choose from are NTFS, FAT, and FAT32. (For more information, see Choosing a file system.)

NTFS is normally the recommended file system because it supports important features, including Active Directory and domain-based security. With NTFS, however, you need to take file-system compatibility into account when considering whether to set up a computer to contain more than one operating system, because the version of NTFS in Windows 2000 Server has new features in addition to those in Windows NT Server. Files that use any new features will be completely usable or readable only when the computer is started with Windows 2000 Server. For example, a file that uses the new encryption feature won't be readable when the computer is started with Windows NT Server 4.0, which was released before the encryption feature existed. (For more information about features that affect file accessibility with Windows 2000 Server, see NTFS.)

Notes

  • If you want to set up a computer with both Windows NT and Windows 2000, and you want to have an NTFS partition, the only appropriate version of Windows NT is version 4.0 with the latest released Service Pack. Using the latest Service Pack maximizes compatibility between Windows NT 4.0 and the updated NTFS file system used with Windows 2000 Server. (Specifically, this compatibility in file systems is provided by Service Pack 4 and later Service Packs.) Even the latest Service Pack, however, does not provide access to files using the new features in NTFS.
  • Using NTFS as the only file system on a computer that contains both Windows 2000 and Windows NT is not recommended. On these computers, a FAT partition containing the Windows NT 4.0 operating system ensures that when started with Windows NT 4.0, the computer will have access to needed files.
  • If you set up a computer so that it starts with Windows NT 3.51 or earlier on a FAT partition, and Windows 2000 Server on an NTFS partition, when that computer starts with Windows NT 3.51, the NTFS partition will not be visible.


Computers that contain Windows NT 4.0 and Windows 2000 Server

If you plan to set up a computer so that it contains Windows NT 4.0 and Windows 2000 Server, first review the following precautions:

  • If your only concern is ensuring that you can always start the computer, setting up the computer so that you can start it with different operating systems at different times is not necessary. For more information, see Deciding whether a computer will contain more than one operating system.
  • Using NTFS as the only file system on a computer that contains both Windows 2000 and Windows NT is not recommended. For more information, see Multiple operating systems and file system compatibility.
  • Make sure that Windows NT 4.0 has been updated with the latest released Service Pack. For details, see Multiple operating systems and file system compatibility.
  • Install each operating system on a separate drive or disk partition.

    When you perform a new installation of Windows 2000 Server (as opposed to an upgrade), by default, the installation is placed on a partition on which no other operating system is located. You can specify a different partition during Setup.

  • Don't install Windows 2000 on a compressed drive unless the drive was compressed with the NTFS file system compression feature.
  • On any partition where you perform a new installation of Windows 2000 (as opposed to an upgrade), you will need to reinstall any programs, such as word processing or e-mail software, after Setup is complete.
  • Install the programs used by each operating system on the partition with that system. If you want your programs to run with multiple operating systems, you need to install separate copies of the programs in each of the operating system partitions.
  • If the computer is on a Windows NT or Windows 2000 domain, each installation of Windows NT 4.0 Server or Windows 2000 Server on that computer must have a different computer name.

For more information about computers that contain multiple operating systems, see the Windows 2000 Resource Kit (for a description of the Resource Kit, see Windows 2000 Resource Kit).


Computers that contain Windows 95 or Windows 98 and Windows 2000

If you are planning to set up a computer so that it contains Windows 95 or Windows 98 and Windows 2000, note that:

  • Compressed DriveSpace or DoubleSpace volumes won't be available while you are running Windows 2000. It is not necessary to uncompress DriveSpace or DoubleSpace volumes that you will access only with Windows 95 or Windows 98.
  • To set up a computer so that it contains Windows 95 and Windows 2000, install Windows 2000 last. Otherwise, important files needed for starting Windows 2000 could be overwritten. (For a computer that will contain Windows 98 and Windows 2000, it isn't necessary to install the operating systems in a particular order.)
  • On a computer that will contain Windows 2000 and Windows 95, the primary partition must be formatted as FAT. On a computer that will contain Windows 2000 and Windows 95 OSR2 or Windows 98, the primary partition must be formatted as FAT or FAT32, not NTFS.
  • File system compatibility might be an issue. See Multiple operating systems and file system compatibility.


Computers that contain MS-DOS and Windows 2000

If you are planning to set up a computer so that it contains MS-DOS and Windows 2000, note that:

  • The primary partition must be formatted as FAT.
  • Windows 2000 must be installed last. Otherwise, important files needed for starting Windows 2000 could be overwritten.
  • File system compatibility might be an issue. See Multiple operating systems and file system compatibility.


Computers that contain multiple Windows 2000 partitions

You can set up a server so that it has multiple Windows 2000 installations (Windows 2000 Professional and/or Server) on multiple partitions. However, you must use a different computer name for each installation if the computer participates in a Windows 2000 domain. Because a unique security identifier (SID) is used for each installation of Windows 2000 on a domain, the computer name for each installation must be unique, even for multiple installations on the same computer.


Choosing a file system

  • Choosing between NTFS, FAT, and FAT32
  • NTFS
  • FAT and FAT32


Choosing between NTFS, FAT, and FAT32

You can choose between three file systems for disk partitions on a computer running Windows 2000 Server: NTFS, FAT, and FAT32. NTFS is the recommended system. FAT and FAT32 are similar to each other, except that FAT32 is designed for larger disks than FAT. (The file system that works most easily with large disks is NTFS.) This topic provides information to help you compare the file systems. For additional information about each file system, see:

  • NTFS
  • FAT and FAT32.

NTFS has always been a more powerful file system than FAT and FAT32. Windows 2000 Server includes a new version of NTFS, with support for a variety of features including Active Directory, which is needed for domains, user accounts, and other important security features.

The Setup program makes it easy to convert your partition to the new version of NTFS, even if it used FAT or FAT32 before. This kind of conversion keeps your files intact (unlike formatting a partition). If you do not need to keep your files intact and you have a FAT or FAT32 partition, it is recommended that you format the partition with NTFS rather than converting from FAT or FAT32. Formatting a partition erases all data on the partition, but a partition that is formatted with NTFS rather than converted from FAT or FAT32 will have less fragmentation and better performance.

However, it is still advantageous to use NTFS, regardless of whether the partition was formatted with NTFS or converted. A partition can also be converted after Setup by using Convert.exe. For more information about Convert.exe, after completing Setup, click Start, click Run, type cmd, and then press ENTER. In the command window, type help convert and then press ENTER.

Note

  • You can use important features such as Active Directory and domain-based security only by choosing NTFS as your file system.

There is one situation in which you might want to choose FAT or FAT32 as your file system. If it is necessary to have a computer that will sometimes run an earlier operating system and sometimes run Windows 2000, you will need to have a FAT or FAT32 partition as the primary (or startup) partition on the hard disk. This is because earlier operating systems, with one exception, can't access a partition if it uses the latest version of NTFS. The one exception is Windows NT version 4.0 with Service Pack 4 or later, which has access to partitions with the latest version of NTFS, but with some limitations. Windows NT 4.0 cannot access files that have been stored using NTFS features that did not exist when Windows NT 4.0 was released. For more information, see:

  • Deciding whether a computer will contain more than one operating system
  • Multiple operating systems and file system compatibility

For anything other than a situation with multiple operating systems, however, the recommended file system is NTFS.

The following table describes the compatibility of each file system with various operating systems.

NTFS | FAT | FAT32
A computer running Windows 2000 can access files on an NTFS partition. A computer running Windows NT 4.0 with Service Pack 4 or later might be able to access some files. Other operating systems allow no access. | Access is available through MS-DOS, all versions of Windows, Windows NT, Windows 2000, and OS/2. | Access is available only through Windows 95 OSR2, Windows 98, and Windows 2000.

The following table compares disk and file sizes possible with each file system.

NTFS | FAT | FAT32
Recommended minimum volume size is approximately 10 MB. Recommended practical maximum for volumes is 2 TB (terabytes). Much larger sizes are possible. Cannot be used on floppy disks. | Volumes from floppy disk size up to 4 GB. Does not support domains. | Volumes from 512 MB to 2 TB. In Windows 2000, you can format a FAT32 volume only up to 32 GB. Does not support domains.
File size limited only by size of volume. | Maximum file size 2 GB. | Maximum file size 4 GB.


NTFS

Some of the features you can use when you choose NTFS are:

  • Active Directory, which you can use to view and control network resources easily.
  • Domains, which are part of Active Directory, and which you can use to fine-tune security options while keeping administration simple. Domain controllers require NTFS.
  • File encryption, which greatly enhances security.
  • Permissions that can be set on individual files rather than just folders.
  • Sparse files. These are very large files created by applications in such a way that only limited disk space is needed. That is, NTFS allocates disk space only to the portions of a file that are written to.
  • Remote Storage, which provides an extension to your disk space by making removable media such as tapes more accessible.
  • Recovery logging of disk activities, which helps you restore information quickly in the event of power failure or other system problems.
  • Disk quotas, which you can use to monitor and control the amount of disk space used by individual users.
  • Better scalability to large drives. The maximum drive size for NTFS is much greater than that for FAT, and as drive size increases, performance with NTFS doesn't degrade as it does with FAT.

This is only a partial list of the features in the newest version of NTFS. For more information about new features, see What's new in Windows 2000 Server.

The Setup program makes it easy to convert your partition to the new version of NTFS, even if it used FAT or FAT32 before. This kind of conversion keeps your files intact (unlike formatting a partition). Setup begins by checking the existing file system. If it is NTFS, conversion happens automatically. If it is FAT or FAT32, Setup gives you the choice of whether to convert to NTFS. If you don't need to keep your files intact and you have a FAT or FAT32 partition, it is recommended that you format the partition with NTFS rather than converting from FAT or FAT32. Formatting a partition erases all data on the partition, but a partition that is formatted with NTFS rather than converted from FAT or FAT32 will have less fragmentation and better performance.

However, it is still advantageous to use NTFS, regardless of whether the partition was formatted with NTFS or converted. A partition can also be converted after Setup by using Convert.exe. For more information about Convert.exe, after completing Setup, click Start, click Run, type cmd and then press ENTER. In the command window, type help convert and press ENTER.


FAT and FAT32

FAT and FAT32 are alternative file-system options. You will need to use them if you must set up a computer to use a previous operating system some of the time (and Windows 2000 some of the time). For additional information, see:

  • Deciding whether a computer will contain more than one operating system
  • Multiple operating systems and file system compatibility
  • Computers that contain Windows NT 4.0 and Windows 2000 Server
  • Choosing between NTFS, FAT, and FAT32

For details about the differences between FAT and FAT32, see the tables in Choosing between NTFS, FAT, and FAT32. If choosing between FAT and FAT32, the basic criterion is the size of the installation partition. Use FAT32 rather than FAT on partitions that are 2 gigabytes (GB) or larger.

Note

  • Windows 2000 supports FAT32 volumes of any size created by Windows 95 or Windows 98. However, Windows 2000 formats FAT32 volumes only up to 32 GB. NTFS is the better option and should be used on volumes larger than 32 GB.

    If you choose to format a partition as FAT during Setup and the partition is larger than 2GB, Setup will automatically format it as FAT32.


Planning disk partitions for new installations

  • Considerations when planning disk partitions
  • Options when partitioning a disk


Considerations when planning disk partitions

You will need to plan your disk partitions before running Setup only if you are performing a new installation, not an upgrade. Disk partitioning is a way of dividing your physical disk so that each section functions as a separate unit. When you create partitions on a disk, you divide the disk into one or more areas that can be formatted for use by a file system, such as FAT or NTFS. A primary partition, or system partition, is one on which you can install the files needed to load an operating system, such as Windows 2000. A primary partition is formatted with a particular file system and is assigned a drive letter such as "C."

Important

  • If you plan to delete or create partitions on a hard disk, be sure to back up the disk contents beforehand because these actions will destroy any existing data. As with any major change to disk contents, it is recommended that you back up the entire contents of the hard disk before working with partitions, even if you plan to leave one or more of your partitions alone.

Do not install Windows 2000 on a compressed drive unless the partition was compressed with the NTFS file system compression feature. (Uncompress a DriveSpace or DoubleSpace drive before running Windows 2000 Setup on it.)

Before running Setup to perform a new installation, you will need to determine the size of the partition on which to install Windows 2000 Server. There is no set formula for figuring a partition size. The basic principle is to allow plenty of room for the operating system, applications, and/or other files that you will group together on the installation partition. The files for setting up Windows 2000 Server require at least 1 GB of free space on the disk, as described in System requirements. It is recommended that you allow considerably more disk space than the minimum amount. Allowing 2-4 GB on the partition is not unreasonable, and for larger installations, it is not unreasonable to allow 10 GB. This allows space for a variety of items, including optional components, user accounts, Active Directory information, logs, future service packs, the pagefile used by the operating system, and other items.

When you perform a new installation of Windows 2000 Server, you can select the partition on which to install. If you specify a partition on which another operating system exists, you will be prompted to confirm your choice.

During Setup, create and size only the partition on which you want to install Windows 2000. After Windows 2000 is installed, you can use Disk Management to manage new and existing disks and volumes. This includes creating new partitions from unpartitioned space; deleting, renaming, and re-formatting existing partitions; adding and removing hard disks; and upgrading and reverting hard disks between basic and dynamic formats. (Note that dynamic disk format does not work on a computer that contains more than one operating system. The only operating system that can access a hard disk using dynamic disk format is Windows 2000.)

Note

  • If you're setting up a computer so that it contains multiple operating systems, you must install Windows 2000 on its own partition. This ensures that Windows 2000 will not overwrite crucial files needed by the other operating system. For more information, see Deciding whether a computer will contain more than one operating system.

Disk partition requirements for Remote Installation Services

If you plan to use Remote Installation Services on this server (so that you can install operating systems onto other computers), you will need a separate partition for use by Remote Installation Services. Plan on using NTFS on this partition: NTFS is required for the Single Instance Store feature of Remote Installation Services. If you need to create a new partition for Remote Installation Services, plan on doing it after Setup, and leave enough unpartitioned disk space so that you can create it (2 GB of space is recommended, but you might need less, depending on how the server will be used). Alternatively, you can plan to use dynamic disk format, which allows more flexibility in the use of the disk space than basic format. (However, dynamic disk format does not work on a computer that contains multiple operating systems. The only operating system that can access a hard disk using dynamic disk format is Windows 2000.)

For information about requirements for Remote Installation Services, see Remote Installation Services system requirements. For additional information about disk formats, see Disk Management. For an overview, checklists, and other information about Remote Installation Services, see Remote Installation Services.


Options when partitioning a disk

You can change the partitions on your disk during Setup only if you are performing a new installation, not an upgrade. You can modify the partitioning of the disk after Setup by using Disk Management.

If you are performing a new installation, Setup examines the hard disk to determine its existing configuration, and then offers the following options:

  • If the hard disk is unpartitioned, you can create and size the Windows 2000 partition.
  • If the hard disk is partitioned but has enough unpartitioned disk space, you can create the Windows 2000 partition by using the unpartitioned space.
  • If the hard disk has an existing partition that is large enough, you can install Windows 2000 on that partition, with or without reformatting the partition first. Reformatting a partition erases all data on the partition. If you don't reformat the partition but you do install Windows 2000 where there was already an operating system, that operating system will be overwritten, and you will have to re-install any applications you want to use with Windows 2000.
  • If the hard disk has an existing partition, you can delete it to create more unpartitioned disk space for the Windows 2000 partition. Deleting an existing partition also erases any data on that partition.


Networking: TCP/IP, IP addresses, and name resolution

  • Overview of networking and TCP/IP
  • IP addresses
  • Name resolution for TCP/IP


Overview of networking and TCP/IP

TCP/IP is the network protocol that provides Internet access. It is the protocol used by most servers, although you can use additional or different network adapters and their associated protocols on your servers. (For information about using other network adapters, read the adapter documentation, and see Taking an optional device inventory.) Setup and the Configure Your Server program are designed to make it easy to configure TCP/IP and the services that support it.

To use TCP/IP, make sure that each server is provided with an IP address, either a dynamic or automatic address provided through software, or a static address that you obtain and set. Because these addresses are numbers and therefore hard to remember, you will also have to provide users with names that are easier to use. Mapping this type of name to an IP address is called name resolution, and can be accomplished by various methods, primarily the Domain Name System (DNS) and Windows Internet Name Service (WINS). For more information, see IP addresses and Name resolution for TCP/IP.


IP addresses

As described in Overview of networking and TCP/IP, using TCP/IP requires that an IP address be provided for each computer, either automatically by Windows 2000, dynamically through the DHCP service (which you configure), or statically (using an IP address that you have obtained).

You can allow Windows 2000 to provide IP addresses automatically during Setup, and then, after Setup, change your configuration to use Dynamic Host Configuration Protocol (DHCP) and/or static addressing. For information about DHCP and IP addressing, see DHCP.

The following list describes the methods you can use to provide an IP address:

  • For a limited number of servers (five or fewer) on a small private network, you can use the Windows 2000 Server feature called Automatic Private IP Addressing (APIPA) to automatically assign IP addresses for you. For information, see Allow Windows 2000 Setup to assign or obtain an IP address.

    After finishing Setup, you can continue to use automatically assigned addresses, or configure DHCP and/or static IP addresses. For information about DHCP and static IP addresses, see DHCP.

  • If your network has more than one subnet, choose one server on which to install and configure the DHCP component. The DHCP server will provide IP addresses dynamically to other computers. It must itself be assigned a static IP address (so other computers can locate it).

    In this situation, in order to support clients, you might also need one or more servers with the Domain Name System (DNS) component and/or the Windows Internet Name Service (WINS) component. DNS and WINS are described in Name resolution for TCP/IP. One server or several servers can provide DHCP, DNS, and/or WINS. Any server providing these services should be assigned a static IP address (so other computers can locate it).

    For information about assigning a static IP address during Setup, see Specify a static local IP address and settings needed for DNS and WINS. For information about running Setup on a server that will obtain its IP address dynamically from a DHCP server, see Allow Windows 2000 Setup to assign or obtain an IP address.

  • If a particular server will be directly providing access to users on the Internet, you must assign that server a static IP address. You can obtain an address and an associated domain name from an Internet Service Provider (ISP) or from the Internet Network Information Center (InterNIC). For more information about InterNIC, see the InterNIC Web site (http://internic.net). If a computer has more than one network adapter, it will need a separate IP address for each adapter. For detailed information about assigning a static IP address, see Specify a static local IP address and settings needed for DNS and WINS.

After a server is provided with an IP addressing option, the next components to consider are those that provide for name resolution, which is the process of mapping a computer name (something that users can recognize and remember) to the appropriate IP address. For information, see Name resolution for TCP/IP.


Name resolution for TCP/IP

Name resolution is a process that provides users with easy-to-remember server names, instead of requiring them to use the numerical IP addresses by which servers identify themselves on the TCP/IP network. The name-resolution services are the DNS and WINS.

Domain Name System (DNS)
DNS is a hierarchical naming system used for locating computers on the Internet and private TCP/IP networks. One or more DNS servers are needed in most installations. DNS is required for Internet e-mail, Web browsing, and Active Directory. DNS is also required in domains with clients running Windows 2000. DNS is installed automatically when you create a domain controller (or promote a server to become a domain controller), unless the Windows 2000 software detects that a DNS server already exists for that domain. (Alternatively, you can explicitly select DNS as a component to install during or after Setup.)

If you are installing DNS on a server, you will need to specify a static IP address on that server. In addition, you will need to configure the DNS clients so that they recognize that IP address. For information about assigning a static IP address, see To specify a static local IP address and settings needed for DNS and WINS. For information about configuring DNS, see DNS.
Windows Internet Name Service (WINS)
If you provide support for clients running Windows NT or any earlier Microsoft operating system, you will need to install Windows Internet Name Service (WINS) on one or more servers in the domain. WINS is an optional software component and appears under Networking Services in the component list. (For more information about installing the WINS component, see Choosing components to install.) If you are installing WINS on a server, you will need to specify a static IP address on that server. In addition, you will need to configure the WINS clients so that they recognize that IP address.

For information about assigning a static IP address, see To specify a static local IP address and settings needed for DNS and WINS. For information about configuring WINS, see WINS.


Deciding between workgroups and domains

This section contains information that will help you decide whether to place your servers in a workgroup or a domain. It also contains other information that, if you create a domain, will help with basic planning of the roles of servers within the domain.

If you are upgrading an existing domain, be sure to review the information in Upgrading an existing Windows NT domain. For information about domains larger than five servers, see the Windows 2000 Server Resource Kit, Deployment Planning Guide. (For information about the Resource Kit, see Windows 2000 Resource Kit.)

For additional information, see:

  • Workgroups compared with domains
  • Planning for domain controllers and member servers
  • Special aspects of Windows 2000 domain controllers
  • Additional information about domains


Workgroups compared with domains

A domain is a grouping of accounts and network resources under a single domain name and security boundary. A workgroup is a more basic grouping, intended only to help users find objects such as printers and shared folders within that group. Domains are the recommended choice for all networks except very small ones with few users.

In a workgroup, users might have to remember multiple passwords, one for each network resource. (In addition, different users can use different passwords for each resource.) In a domain, passwords and permissions are simpler to keep track of, since a domain has a single, centralized database of user accounts, permissions, and other network details. The information in this database is replicated automatically among domain controllers. You determine which servers are domain controllers and which are simply members of the domain. You can determine these roles not only during setup but afterward.

Domains, and the Active Directory directory system of which they are a part, provide many options for making resources easily available to users while maintaining good monitoring and security. For more information, see Active Directory.


Planning for domain controllers and member servers

With Windows 2000, servers in a domain can have one of two roles: domain controllers, which contain matching copies of the user accounts and other Active Directory data in a given domain, and member servers, which belong to a domain but do not contain a copy of the Active Directory data. (A server that belongs to a workgroup, not a domain, is called a stand-alone server.) With Windows 2000, it is possible to change the role of a server back and forth from domain controller to member server (or stand-alone server), even after Setup is complete. However, it is recommended that you plan your domain before running Setup, and change server roles only when necessary.

It is a good idea to give careful thought to the names of your domain controllers before running Setup. You cannot change the name of a server while it is a domain controller. Instead, you must change it to a member or stand-alone server, change the name, and then make the server a domain controller again.

If you have multiple domain controllers, it provides better support for users than having only one. Multiple domain controllers provide automatic backup for user accounts and other Active Directory data, and they work together to support domain controller functions (such as validating logons).

For more information, see Server roles.


Special aspects of Windows 2000 domain controllers

As you manage your Windows 2000 domain, there are several aspects of Windows 2000 domain controllers that you might want to learn more about. This topic describes the aspects briefly. A variety of domain topics are discussed in more depth in Active Directory.

One aspect of domains that you might want to learn more about is the assigning of operations master roles. These are special roles assigned to one or more domain controllers in an Active Directory domain. The domain controllers assigned these roles perform operations that are single-master (not permitted to occur at different places in a network at the same time). For example, the creation of security identifiers for new resources (such as new computers) must be overseen by a single domain controller, to ensure that the identifiers are unique.

The first domain controller installed in a domain is automatically assigned all the operations master roles. You can change the assignment of operations master roles after Setup, but in most cases this will not be necessary. You will need to be particularly aware of operations masters roles if problems develop on an operations master or if you plan to take one out of service. For more information about operations master roles, see Single master operations.

Another aspect of domain management that you might want to learn more about is the global catalog. In a multi-domain setup, at least one domain controller that contains the global catalog must be running and available in order for users to log on. For more information about the global catalog, see Global catalog.


Additional information about domains

For information about upgrading an existing domain, see Upgrading an existing Windows NT domain.

For detailed information about domains, operations master roles, the global catalog, and other domain-related topics, see Active Directory.

For information about setting up multiple domains with structured relationships, see the Windows 2000 Server Resource Kit, Deployment Planning Guide. For information about the Resource Kit, see Windows 2000 Resource Kit.


Preparing your system before running Setup

  • Preparing your system for an upgrade
  • Preparing your system for a new installation


Preparing your system for an upgrade

There are a number of basic steps to take in preparing your system for upgrading to Windows 2000 Server: backing up files, uncompressing drives, disabling disk mirroring, disconnecting uninterruptible power supply (UPS) devices, and reviewing the applications on your computer.

Backing up files

Before upgrading, it is recommended that you back up your current files. You can back up files to a disk, a tape drive, or another computer on your network.

Uncompressing the drive

Uncompress any DriveSpace or DoubleSpace volumes before upgrading to Windows 2000. Do not upgrade to Windows 2000 on a compressed drive unless the drive was compressed with the NTFS file system compression feature.

Disabling disk mirroring

Before upgrading, if you have disk mirroring installed on your target computer, disable it before running Setup. You can re-enable disk mirroring after completing the installation.

Disconnecting UPS devices

If you have an uninterruptible power supply (UPS) connected to your target computer, disconnect the connecting serial cable before running Setup. Windows 2000 Setup attempts to automatically detect devices connected to serial ports, and UPS equipment can cause problems with the detection process.

Reviewing applications

Before starting the Windows 2000 Server Setup program, be sure to read the applications section of Readme.doc (in the root directory of the Windows 2000 Server CD-ROM). Look for information regarding applications that need to be disabled or removed before running Setup.

For the most recent information on compatible and certified applications for Microsoft Windows 2000, see the Directory of Windows 2000 Applications Web site (http://www.microsoft.com/). This site allows you to search for information on current applications and also on applications specifically designed for Windows 2000.


Preparing your system for a new installation

There are a number of basic steps to take in preparing your system for a new installation of Windows 2000 Server: backing up files, uncompressing drives, disabling disk mirroring, and disconnecting uninterruptible power supply (UPS) devices.

Backing up files

Before you perform a new installation of Windows 2000 Server, it is recommended that you back up your current files, unless the computer has no files, or the current operating system files have been damaged. You can back up files to a disk, a tape drive, or another computer on your network.

Uncompressing the drive

Uncompress any DriveSpace or DoubleSpace volumes before installing Windows 2000. Do not install Windows 2000 on a compressed drive unless the drive was compressed with the NTFS file system compression feature.

Disabling disk mirroring

Before performing a new installation, if you have disk mirroring installed on your target computer, disable it before running Setup. You can re-enable disk mirroring after completing the installation.

Disconnecting UPS devices

If you have an uninterruptible power supply (UPS) connected to your target computer, disconnect the connecting serial cable before running Setup. Windows 2000 Setup attempts to automatically detect devices connected to serial ports, and UPS equipment can cause problems with the detection process.


Troubleshooting

This section outlines the steps to troubleshoot STOP messages, which are the result of a system error in Windows 2000. Following a system error, your computer stops responding, and a message is displayed on a blue or black background.

For information about how to obtain product support, see Microsoft Product Support Services.

  • Troubleshooting STOP messages: general strategies
  • Troubleshooting specific STOP messages


Troubleshooting STOP messages: general strategies

This topic describes a general method for troubleshooting STOP messages. Follow these steps for any STOP error that does not display identifying text or specific troubleshooting steps. For troubleshooting specific STOP errors, which provide identifying text, see Troubleshooting specific STOP messages. Or, see the Microsoft Windows 2000 Resource Kit. For information about the Resource Kit, see Windows 2000 Resource Kit.

For information about how to obtain product support, see Microsoft Product Support Services.

The steps in this topic are also outlined on the STOP message screen. Follow these steps in order. If the STOP message recurs after you complete a step, continue on to the next step.

  1. Using a recent version of virus-protection software, check for viruses on your computer. If a virus is found, perform the steps required to eliminate it from your computer. See your antivirus software documentation for these steps.
  2. If you can start Windows 2000, check Event Viewer for additional information that might help determine the device or driver causing the problem. To do this, click Start, point to Settings, click Control Panel, double-click Administrative Tools, double-click Event Viewer, and then click System Log.

    To display a description of an event, in Event Viewer, double-click the event.

  3. Disable any newly installed drivers and remove any newly added programs. If you can't start your computer, try starting your computer in the Last Known Good Configuration or in safe mode, and then remove or disable newly added programs or drivers. For information about starting your computer in safe mode, see Safe mode startup options or Recover a system that will not start.

    4. Important

    • When you use Last Known Good Configuration, system setting changes made after the last successful startup are lost.
  4. Remove any newly installed hardware (RAM, adapters, hard disks, modems, and so on).
  5. Ensure that you have updated drivers for your hardware devices and that you have the latest system BIOS. The device manufacturers can assist you in obtaining these items.
  6. Run the system diagnostics supplied by your computer manufacturer, especially the memory check.
  7. Check the Microsoft Hardware Compatibility List (HCL) to verify that all your hardware and drivers are compatible with Windows 2000.

    To display the HCL, on the Windows 2000 CD-ROM, in the Support folder, open Hcl.txt. You can find updated versions of the HCL at the Microsoft Windows Hardware Compatibility List Web site (http://www.microsoft.com/).

  8. Disable memory caching in the BIOS. Contact your hardware manufacturer if you need assistance in performing this step.
  9. Restart your computer. At the startup screen, press F8 for Advanced Startup options, and then select Last Known Good Configuration.

    Important

    • If you restart your computer using the Last Known Good Configuration, all your computer settings are reset to the configuration used the last time you started your computer successfully.

Note

  • If you have access to the Web, you can search for updated information on STOP messages. To do this, go to the Microsoft Web site (http://www.microsoft.com/), click Search Support, and then follow the instructions on the page. When typing keywords, use the STOP message number (for example, stop 0x0000000A).

    For more information about articles, troubleshooting wizards, and items you can download, see Updated technical information.


Troubleshooting specific STOP messages

This topic discusses how to troubleshoot specific STOP messages. For general information about troubleshooting STOP messages, see Troubleshooting STOP messages: general strategies.

For information about how to obtain product support, see Microsoft Product Support Services.

What STOP message are you receiving?

STOP message 0x0000000A on an existing installation

Descriptive text: IRQL_NOT_LESS_OR_EQUAL

Usual cause: Drivers using improper memory addresses.

Solution:

  1. If you can start Windows 2000, check Event Viewer for additional information that might help determine the device or driver causing the problem. To do this, click Start, point to Settings, click Control Panel, double-click Administrative Tools, double-click Event Viewer, and then click System Log.
  2. Disable any newly installed drivers and remove any newly added programs. If you can't start your computer, try starting it in the Last Known Good Configuration or in safe mode, and then remove or disable newly added programs or drivers. For information about starting your computer in safe mode, see Safe mode startup options or Recover a system that will not start.

    3. Important

    • When you use Last Known Good Configuration, system setting changes made after the last successful startup are lost.
  3. Remove any newly installed hardware (RAM, adapters, hard disks, modems, and so on).
  4. Ensure that you have updated drivers for your hardware devices and the latest system BIOS. The device manufacturers can assist you in obtaining these items.
  5. Run system diagnostics supplied by your hardware vendor, especially a memory check.
  6. Check the Microsoft Hardware Compatibility List (HCL) to verify that your hardware and its drivers are compatible with Windows 2000.

    To display the HCL, on the Windows 2000 CD-ROM, in the Support folder, open Hcl.txt. You can find updated versions of the HCL at the Microsoft Windows Hardware Compatibility List Web site (http://www.microsoft.com/).

  7. Disable memory caching in the BIOS. Contact your hardware manufacturer if you need assistance in performing this step.
  8. Restart your computer. At the startup screen, press F8 for Advanced Startup options, and then select Last Known Good Configuration.

    Important

    • When you use Last Known Good Configuration, system setting changes made after the last successful startup are lost.

Note

  • If you have access to the Web, you can search for updated information on this STOP message. To do this, go to the Microsoft Web site (http://www.microsoft.com/), click Search Support, and then follow the instructions on the page. When typing keywords, use stop 0x0000000A.

    For more information about articles, troubleshooting wizards, and items you can download, see Updated technical information.

STOP message 0x0000000A on a new installation

Descriptive text: IRQL_NOT_LESS_OR_EQUAL

Usual cause: Drivers using improper memory addresses.

Solution:

  1. During the installation process, at the "Setup is inspecting your computer's hardware configuration" message, press F5. Select the correct computer type when prompted. For example, if you have a single-processor computer, select Standard PC.
  2. Disable memory caching in the BIOS. Contact your hardware manufacturer if you need assistance in performing this step.
  3. Remove all adapters and disconnect all hardware devices that are not absolutely required to start the computer and install Windows 2000 Server.
  4. If you are using a SCSI adapter, obtain the latest Windows 2000 Server driver from the adapter vendor, disable sync negotiation, check termination, and check the SCSI IDs of the devices.
  5. If you are using IDE devices, define the on-board IDE port to Primary only. Check the Master/Slave/Only settings for the IDE devices. Remove all IDE devices except for the hard disk.
  6. Run the system diagnostics supplied by your hardware vendor, especially the memory check.
  7. Check the Microsoft Hardware Compatibility List (HCL) to verify that the hardware and its drivers are compatible with Windows 2000.

    To display the HCL, on the Windows 2000 CD-ROM, in the Support folder, open Hcl.txt. You can find updated versions of the HCL at the Microsoft Windows Hardware Compatibility List Web site (http://www.microsoft.com/).

  8. Restart your computer. At the startup screen, press F8 for Advanced Startup options, and then select Last Known Good Configuration.

    9. Important

    • When you use Last Known Good Configuration, system setting changes made after the last successful startup are lost.

Note

  • If you have access to the Web, you can search for updated information on this STOP message. To do this, go to the Microsoft Web site (http://www.microsoft.com/), click Search Support, and then follow the instructions on the page. When typing keywords, use stop 0x0000000A.

    For more information about articles, troubleshooting wizards, and items you can download, see Updated technical information.

STOP message 0x0000001E

Descriptive text: KMODE_EXCEPTION_NOT_HANDLED

Usual cause: This message has several possible causes. See the Note following this procedure.

Solution:

  1. Check that you have adequate disk space, especially for new installations.
  2. Disable the driver identified in the STOP message or any newly installed drivers. If you can't start your computer, try starting it in the Last Known Good Configuration or in safe mode, and then remove or disable newly added programs or drivers. For information about how safe mode and other options work, see Safe mode startup options or Recover a system that will not start.

    3. Important

    • When you use Last Known Good Configuration, system setting changes made after the last successful startup are lost.
  3. If you have a non-Microsoft-supplied video driver, try switching to the standard VGA driver or to a suitable driver supplied with Windows 2000.
  4. Ensure that you have the latest system BIOS. Contact your hardware manufacturer if you need assistance in performing this step.
  5. Restart your computer. At the startup screen, press F8 for Advanced Startup options, and then select Last Known Good Configuration.

    6. Important

    • When you use Last Known Good Configuration, system setting changes made after the last successful startup are lost.

Note

  • If you have access to the Web, you can search for updated information on this STOP message. To do this, go to the Microsoft Web site (http://www.microsoft.com/), click Search Support, and then follow the instructions on the page. When typing keywords, use stop 0x0000001E.

    For more information about articles, troubleshooting wizards, and items you can download, see Updated technical information.

STOP messages 0x00000023 and 0x00000024

Descriptive text: FAT_FILE_SYSTEM or NTFS_FILE_SYSTEM

Usual cause: Heavily fragmented drive, heavy file I/O, some types of drive-mirroring software, or some types of antivirus software.

Solution:

  1. Disable any antivirus or backup programs, and disable any defragmentation utilities.
  2. Check for hard drive corruption by running CHKDSK /f and then restarting the computer.
  3. At the startup screen, press F8 for Advanced Startup options, and then select Last Known Good Configuration.

    4. Important

    • When you use Last Known Good Configuration, system setting changes made after the last successful startup are lost.

Note

  • If you have access to the Web, you can search for updated information on this STOP message. To do this, go to the Microsoft Web site (http://www.microsoft.com/), click Search Support, and then follow the instructions on the page. When typing keywords, use stop 0x00000023 or stop 0x00000024.

    For more information about articles, troubleshooting wizards, and items you can download, see Updated technical information.

STOP message 0x0000002E

Descriptive text: DATA_BUS_ERROR

Usual cause: A parity error in the system memory.

Solution:

  1. Run system diagnostics supplied by your hardware vendor, especially a memory check.
  2. Disable memory caching in the BIOS. Contact your hardware manufacturer if you need assistance in performing this step.
  3. Try starting in safe mode. For more information, see Safe mode startup options and Disaster recovery overview. If you can start your computer in safe mode, try changing to a standard VGA driver. If this doesn't resolve the problem, you might need to change to a different video adapter.
    For a list of supported video adapters, see the Hardware Compatibility List (HCL).

    To display the HCL, on the Windows 2000 CD-ROM, in the Support folder, open Hcl.txt. You can find updated versions of the HCL at the Microsoft Windows Hardware Compatibility List Web site (http://www.microsoft.com/).

  4. Ensure that you have updated drivers for your hardware devices and the latest system BIOS. The device manufacturers can assist you in obtaining these items.
  5. Remove any newly installed hardware (RAM, adapters, hard disks, modems, and so on).
  6. Restart your computer. At the startup screen, press F8 for Advanced Startup options, and then select Last Known Good Configuration.

    7. Important

    • When you use Last Known Good Configuration, system setting changes made after the last successful startup are lost.

Note

  • If you have access to the Web, you can search for updated information on this STOP message. To do this, go to the Microsoft Web site (http://www.microsoft.com/), click Search Support, and then follow the instructions on the page. When typing keywords, use stop 0x0000002E.

    For more information about articles, troubleshooting wizards, and items you can download, see Updated technical information.

STOP message 0x0000003F

Descriptive text: NO_MORE_SYSTEM_PTES

Usual cause: A driver not cleaning up properly.

Solution:

  • Remove any recently installed software, including backup utilities or disk-intensive applications, such as defragmenting, virus protection, and backup utilities.

Note

  • If you have access to the Web, you can search for updated information on this STOP message. To do this, go to the Microsoft Web site (http://www.microsoft.com/), click Search Support, and then follow the instructions on the page. When typing keywords, use stop 0x0000003F.

    For more information about articles, troubleshooting wizards, and items you can download, see Updated technical information.

STOP message 0x00000058

Descriptive text: FTDISK_INTERNAL_ERROR

Usual cause: The failure of a primary drive in a fault-tolerance set.

Solution:

  1. Using a Windows 2000 startup floppy disk, start your computer from the mirrored (secondary) system drive.
  2. Restart your computer. At the startup screen, press F8 for Advanced Startup options, and then select Last Known Good Configuration.

    3. Important

    • When you use Last Known Good Configuration, system setting changes made after the last successful startup are lost.

Note

  • If you have access to the Web, you can search for updated information on this STOP message. To do this, go to the Microsoft Web site (http://www.microsoft.com/), click Search Support, and then follow the instructions on the page. When typing keywords, use stop 0x00000058.

    For more information about articles, troubleshooting wizards, and items you can download, see Updated technical information.

STOP message 0x0000007B

Descriptive text: INACCESSIBLE_BOOT_DEVICE

Usual cause: A problem occurring during the initialization of the I/O system (usually the startup device or the file system).

Solution:

  1. Check for viruses on your computer. This STOP message is frequently displayed when there is a virus in the boot sector.
  2. For ways to fix your drive, see Disaster recovery overview and The Recovery Console.
  3. Remove any newly added hard drives or controllers.
  4. If you're using a SCSI adapter, obtain the latest Windows 2000 driver from the adapter vendor, disable sync negotiation, check termination, and check the SCSI IDs of the devices.
  5. If you're using IDE devices, define the on-board IDE port to Primary only. Check the Master/Slave/Only settings for the IDE devices. Remove all IDE devices except for the hard disk.
  6. Run CHKDSK. The file system could be corrupt. If Windows 2000 can't run CHKDSK, you might have to move the drive to another computer running Windows 2000 and run the CHKDSK command on that drive.
  7. Restart your computer. At the startup screen, press F8 for Advanced Startup options, and then select Last Known Good Configuration.

    8. Important

    • When you use Last Known Good Configuration, system setting changes made after the last successful startup are lost.

Note

  • If you have access to the Web, you can search for updated information on this STOP message. To do this, go to the Microsoft Web site (http://www.microsoft.com/), click Search Support, and then follow the instructions on the page. When typing keywords, use stop 0x0000007B.

    For more information about articles, troubleshooting wizards, and items you can download, see Updated technical information.

STOP boot sector 0x0000007F

Descriptive text: UNEXPECTED_KERNEL_MODE_TRAP

Usual cause: Hardware or software problems; most often, hardware failure.

Solution:

  1. Run system diagnostics supplied by your hardware vendor, especially a memory check. This STOP message is often displayed in the case of faulty or mismatched memory.
  2. Disable memory caching in the BIOS. Contact your hardware manufacturer if you need assistance in performing this step.
  3. Check the Microsoft Hardware Compatibility List (HCL) to verify that the hardware and its drivers are compatible with Windows 2000.

    To display the HCL, on the Windows 2000 CD-ROM, in the Support folder, open Hcl.txt. You can find updated versions of the HCL at the Microsoft Windows Hardware Compatibility List Web site (http://www.microsoft.com/). This problem could be caused by an incompatibility with the motherboard on the computer.

  4. Restart your computer. At the startup screen, press F8 for Advanced Startup options, and then select Last Known Good Configuration.

    5. Important

    • When you use Last Known Good Configuration, system setting changes made after the last successful startup are lost.

Note

  • If you have access to the Web, you can search for updated information on this STOP message. To do this, go to the Microsoft Web site (http://www.microsoft.com/), click Search Support, and then follow the instructions on the page. When typing keywords, use stop 0x0000007F.

    For more information about articles, troubleshooting wizards, and items you can download, see Updated technical information.

STOP message 0x000000B4

Descriptive text: VIDEO_DRIVER_INIT_FAILURE

Usual cause: The video driver is bad, corrupted, missing, or disabled.

Solution:

  1. Try starting your computer in safe mode or Enable VGA Mode. For more information, see Safe mode startup options. If you cannot start the computer with safe mode or Enable VGA Mode, see Recover a system that will not start.
  2. If you can start your computer in safe mode, uninstall the video driver by using Add/Remove Hardware. To access Add/Remove Hardware, click Start, point to Settings, click Control Panel, and then click Add/Remove Hardware.
  3. After completing the previous step, choose one of the following methods for reinstalling the video driver:
    • If you know your video adapter is not Plug and Play, try reinstalling your video driver while in safe mode or Enable VGA Mode. Use Add/Remove Hardware (described in the previous step) to reinstall the driver, and then restart the computer.
    • If you know your video adapter is Plug and Play, restart the computer after uninstalling the driver, and the driver will automatically be reinstalled when the video adapter is detected.
    • If you are not sure whether your video adapter is Plug and Play, try restarting the computer. If the display does not work after restarting, restart in safe mode or Enable VGA Mode again, and then use Add/Remove Hardware (described in the previous step) to reinstall the driver. Finally, restart the computer.

    For a list of supported video adapters, see the Hardware Compatibility List (HCL). To display the HCL, on the Windows 2000 CD-ROM, in the Support folder, open Hcl.txt. You can find updated versions of the HCL at the Microsoft Windows Hardware Compatibility List Web site (http://www.microsoft.com/).

Note

  • If you have access to the Web, you can search for updated information on this STOP message. To do this, go to the Microsoft Web site (http://www.microsoft.com/), click Search Support, and then follow the instructions on the page. When typing keywords, use stop 0x000000B4.

    For more information about articles, troubleshooting wizards, and items you can download, see Updated technical information.

STOP message 0x000000BE

Descriptive text: ATTEMPTED_WRITE_TO_READONLY_MEMORY

Usual cause: A driver is bad or corrupted or does not function correctly.

Solution:

  1. Disable the driver identified in the STOP message or any newly installed drivers. If you can't start your computer, try starting it in the Last Known Good Configuration or safe mode, and then remove or disable newly added programs or drivers. For more information, see Safe mode startup options. If you cannot start the computer with safe mode, see Recover a system that will not start.

    2. Important

    • When you use Last Known Good Configuration, system setting changes made after the last successful startup are lost.
  2. Try to replace the driver, either with a good copy from your installation media, or with an updated version from the manufacturer.

Note

  • If you have access to the Web, you can search for updated information on this STOP message. To do this, go to the Microsoft Web site (http://www.microsoft.com/), click Search Support, and then follow the instructions on the page. When typing keywords, use stop 0x000000BE.

    For more information about articles, troubleshooting wizards, and items you can download, see Updated technical information.


Accessibility for people with disabilities

Microsoft is committed to making its products and services easier for everyone to use. This topic provides information on the features, products, and services that make Microsoft Windows 2000 more accessible for people with disabilities.

Note

  • The information in this topic applies only to users who license Microsoft products in the United States. If you obtained this product outside the United States, your package contains a subsidiary information card that lists Microsoft support services, telephone numbers, and addresses. Contact your subsidiary to find out whether the type of products and services described in this topic are available in your area.

To learn more about Microsoft products available for people with disabilities, visit the Microsoft Accessibility Web site. (http://www.microsoft.com/)

For more information about accessibility options, keyboard shortcuts, and assistive technology programs, see Accessibility Options Help.

The following topics provide information about accessibility features, options, and resources.

  • Accessibility features and options
  • Getting more accessibility information

Note

  • To display Accessibility Options Help, click Start, point to Settings, and then click Control Panel. On the menu bar, click Help, and then click Help Topics. On the Contents tab, click Accessibility Options.


Accessibility features and options

Windows 2000 includes many accessibility features that can improve display, sound, mouse, and keyboard settings for users who are blind, have motion disabilities, or are deaf or hard of hearing. Many accessibility features are also useful to people without disabilities.

For additional information about accessibility options, keyboard shortcuts, and assistive technology programs, see Accessibility Options Help.

  • Accessibility features
  • Setting up accessibility options
  • Using the keyboard to move the mouse pointer

Note

  • To display Accessibility Options Help, click Start, point to Settings, and click Control Panel. On the menu bar, click Help, and then click Help topics. Click topics under the heading "Accessibility Options."


Accessibility features

Windows 2000 includes the following utilities to help meet your vision, hearing, or mobility needs:

  • Magnifier. Enlarges a portion of your screen in a separate window for easier viewing.
  • Narrator. Reads information on your screen, including dialog box names, menus, entered text, and so on. Narrator provides a minimum level of accessibility so that people who are blind or who have low vision can interact with Windows 2000 during configuration or emergency situations.

    • Note

    • Narrator is available only with U.S. English.
  • On-Screen Keyboard. Displays a virtual keyboard so you can enter information by using a pointing device, such as a mouse or a switch input device. On-Screen Keyboard is compatible with many, but not all, keyboards and keyboard settings.

Windows 2000 also offers customizable options for users who are blind, have motion disabilities, or are deaf or hard of hearing:

  • High-contrast desktop color schemes. Provide more ways to change the colors and font sizes on your screen.
  • Sound schemes. Give useful audio feedback for important on-screen events, such as the opening and closing of windows.
  • High-visibility mouse pointer schemes. Give you more options to help you keep track of the pointer visually.


Setting up accessibility options

You can configure Accessibility options in Windows 2000 in several ways to meet vision, hearing, or mobility needs. Accessibility features are installed on your computer by default.

You can quickly set up accessibility options by using the Accessibility wizard. The Accessibility wizard asks you questions about your accessibility needs and automatically configures settings for you. Or, you can open Accessibility Options in Control Panel to directly customize keyboard, display, and mouse functions.

Note

  • If you are using an input device other than a mouse, instead of clicking, use the appropriate action to complete commands or select items.

To set up accessibility options by using the Accessibility wizard

  1. Click Start, point to Programs, point to Accessories, point to Accessibility, and then click Accessibility Wizard.
  2. Follow the instructions that appear.

To set up accessibility options by using Control Panel

  1. Click Start, point to Settings, and then click Control Panel.
  2. In Control Panel, double-click Accessibility Options.

You can turn some accessibility features on and off by using keyboard combinations, regardless of whether you have the features enabled. When you use one of the following keyboard combinations, your computer responds with both auditory (beeps) and visual (dialog box) cues that indicate that the accessibility function is on or off.

To | Press
Switch FilterKeys on and off | RIGHT SHIFT for eight seconds
Switch High Contrast on and off | LEFT ALT+LEFT SHIFT+PRINT SCREEN
Switch MouseKeys on and off | LEFT ALT+LEFT SHIFT+NUM LOCK
Switch StickyKeys on and off | SHIFT five times
Switch ToggleKeys on and off | NUM LOCK for five seconds


Using the keyboard to move the mouse pointer

If you have trouble using a mouse, you can change the MouseKeys settings so that you can use the numeric keypad to move the mouse pointer. You can do this through the Accessibility wizard, or you can use the following procedure to set this option in Control Panel.

To turn MouseKeys on

  2. On the Mouse tab, select the Use MouseKeys check box.

The following illustration shows which keys to use to replicate mouse actions.

MouseKeys illustration

Note

  • To open a Control Panel item, click Start, point to Settings, click Control Panel, and then double-click the appropriate icon.


Getting more accessibility information

For detailed information about accessibility options, keyboard shortcuts, and assistive technology programs, see Accessibility Options Help.

For additional information, see:

  • Documentation in more accessible formats
  • Downloading accessibility notes and utilities
  • Other accessibility products and services

Note

  • To display Accessibility Options Help, click Start, point to Settings, and then click Control Panel. On the menu bar, click Help, and then click Help Topics. On the Contents tab, click Accessibility Options.


Documentation in more accessible formats

Documentation for many Microsoft products is available in alternative formats. If you have difficulty reading or handling printed documentation, you can obtain many Microsoft publications from the Microsoft Accessibility Web site. (http://www.microsoft.com/)

You can also obtain Microsoft publications from Recording for the Blind & Dyslexic, Inc. RFB&D distributes these documents to registered, eligible members of their distribution service, either on audio cassettes or on floppy disks. The RFB&D collection contains more than 80,000 titles, including Microsoft product documentation and books from Microsoft Press.

For more information, contact Recording for the Blind & Dyslexic, Inc. at:

Recording for the Blind & Dyslexic, Inc.
20 Roszel Road
Princeton, NJ 08540
Phone: (609) 452-0606
Fax: (609) 987-8116

Recording for the Blind and Dyslexic Web site (http://www.rfbd.org/)


Downloading accessibility notes and utilities

If you have a modem or another type of network connection, you can download the accessibility files from the following network services:

  • The Microsoft Accessibility Web site (http://www.microsoft.com/)
    • .
  • Microsoft Internet server at ftp.microsoft.com

    Open the Softlib folder, and then use the readme and/or index files to learn about the site. In the index, search for words such as "customizing" and "disabilities." Choose a file and locate it in the Softlib/Mslfiles folder. On your hard disk, create a folder, then run the file you chose from its current location. Follow the instructions to unzip the file into the folder you created.

  • Microsoft Download Service (MSDL), which you can reach by calling (425) 936-6735 any time except between 1:00 A.M. and 2:30 A.M. Pacific time.

    MSDL supports 1200, 2400, 9600, or 14400 baud rates (V.22bis, V.32, V.32bis and V.42), with 8 data bits, no parity, and 1 stop bit. MSDL does not support 28800, 56K or ISDN connections.


Other accessibility products and services

Other products, services, and resources for people with disabilities are available from Microsoft and other organizations. Microsoft provides a catalog of accessibility aids that you can use with the Windows, Windows NT, and Windows 2000 operating systems. You can obtain this catalog from the Microsoft Accessibility Web site or by phone:

Microsoft Sales Information Center
One Microsoft Way
Redmond, WA 98052-6393
Voice telephone: (800) 426-9400
Text telephone: (800) 892-5234

Microsoft Accessibility Web site (http://www.microsoft.com/)

For information on products and services for the Macintosh operating system for people with disabilities, see:

Apple Disability Resources Web site (http://www.apple.com/disability/)

The Trace R&D Center at the University of Wisconsin-Madison publishes a database of more than 18,000 products and other information for people with disabilities. The database is available on their Web site. The Trace R&D Center also publishes the Trace Resourcebook, which provides descriptions and photographs of about 2,000 products. To obtain these materials, contact:

Trace R&D Center
University of Wisconsin-Madison
5901 Research Park Boulevard
Madison, WI 53719-1252
Fax: (608) 262-8848

Trace Research and Development Center Web site (http://www.trace.wisc.edu/)